Overview

Actual Tools products are innovative utilities for organizing the Windows® desktop via extended window manipulation capability for more convenient and enjoyable work with your computer. The productivity of your work is a direct function of the number of windows you are able to effectively operate and control as compared with the amount of time and effort you waste on the unnecessary manual manipulation of those same windows. Actual Tools products provide the tools, with which you can vastly improve your ability to quickly, easily, and automatically manipulate the windows on your system, avoid wasted effort and gain access to new control features and automatic performance of many routine actions.

Extended Window Control

The Microsoft® Windows® operating system provides dozens of useful window control features but, unfortunately, most of them are intended for use by software developers and can only be accessed by programmers. Actual Tools products not only make these control features readily available to the end-user but they can apply them to almost any application - despite the fact that a particular application offers no native, internal support for them. In addition, Actual Tools programs provide some additional handy functions developed exclusively for them.

Automatic Window Handling

There are a great many routine window operations which the user performs manually himself, like moving a window to a specific location on the desktop, resizing it to a more convenient size, or minimizing it to a taskbar button. While it might seem to the experienced user that he is performing these operations almost unconsciously the cumulative amount of time he spends doing them is actually quite significant. At first thought, as small as the amount of time might seem to be to perform any one of these routine actions consider, for example, the total time expended in transcribing a phone number from a note on a scrap of paper to a document or field on your screen: the time it takes to actually type the number is very small compared with the overall process of diverting your attention away from the monitor to the note, committing the number to short-term memory, returning your attention to the monitor and then finally entering the number from your keyboard. In short, the process is considerably more protracted than it might first seem. Now imagine what it would be like to simply be able to type the number from memory without having to reference the note! It is this kind of power and functionality that Actual Tools programs afford the busy user. By automating these routine operations Actual Tools program will help dispense with the petty annoyances that hinder your work and allow you achieving maximum productivity.

What's New in 4.5 Version

System Requirements

Upgrading From Previous Versions

Getting Started

Copyright © 2002-2007 Actual Tools. All rights reserved.
Last modified: June 20, 2007.


What's New

Actual Tools Home Page

What's new in Actual Title Buttons

                    Actual Title Buttons
                    http://www.ActualTools.com/titlebuttons/

                    What's new in the latest version

[!] Important
[+] New
[-] Fixed error
[*] Changes

---------------------------------------------------------------------------
Actual Title Buttons 4.5 (20.06.2007)
---------------------------------------------------------------------------
[!] Windows Monitoring Log tool is added into the Control Center. It allows
    detecting newly appeared windows and check, which window rule has been
    applied in each particular case. Now you can easily solve any configuration
    ambiguities and detect properties of short-living windows (like tool tips,
    popup menus etc.). Be careful using this feature: turned on it may slow down
    your system!
[+] The ability to hide the mouse pointer, while it is floating over the
    specific window, is added.
[+] The ability to copy settings from a selected window rule to others is added.
[+] The new hotkeys are added:
    - "Reapply settings" action (Win+F5 by default)
    - Configuration Module's launch (Win+C by default)
    - "Unhide" submenu that shows the list of currently minimized/hidden
      windows (Win+H by default)
[+] Now the hotkey status is displayed in the "Hotkeys" panel of the "Options"
    window: when defining a new key combination, you can see, if the defined
    combination is already in use with another application or assigned to
    another action.
[+] The on-the-fly transparency setting is added: when right-clicking the
    "Make Transparent" title button, the slider control appears instead of the
    context menu with predefined values; while dragging this slider, the
    transparency level is being changed immediately, thus allowing a quicker
    and easier choice of desired appearance.
[+] When minimizing to screen, now you can make screen icons
    semi-transparent.
[+] New title buttons are added: Copy to Clipboard, Paste from Clipboard.
[+] Now the balloon tip is shown over the Control Center's tray icon at first
    start after the installation.
[+] Translation to the Dutch language is added (thanks to Onno Verschoor).
[*] The internal mechanism of hotkeys processing is significantly improved.
[*] The long-awaited improvement for permanent tray/screen icons is made: now
    permanent icons behave like buttons in the Taskbar (i.e. active window is
    minimized, inactive window is activated, minimized window is restored).
[*] The options structure is redesigned: new "Triggers" and "Actions" grouping
    nodes are added.
[*] The "Hide Configuration Module while using Window Finder" option has been
    moved from General to User Interface.
[*] "Custom Position" and "Custom Size" dialogs now display current window
    position/size values in their captions.
[*] Title buttons appearance in Windows Vista is improved.
[-] The "orphaned title buttons" bug in Windows Vista is fixed:
    sometimes title buttons used to get detached from their owner window and
    stuck on the desktop.
[-] Compatibility conflicts are solved with:
    - Quattro Pro X3 menus
    - GrabIt internal windows
    - MS Office XP CTFMON.EXE service
    - X-NetStat application
[-] Now the "Configure..." item of Control Center tray icon's context menu
    is displayed correctly in Windows Vista.
[-] Transparency effect conflicts are solved with:
    - CDArtdisplay application
    - Emerge Desktop application
    - Windows Vista Start button
[-] The bug of the "minimize-to-screen" feature is fixed: sometimes screen
    icons used to go out of visible area after minimization.
[-] Title buttons now work properly in PowerPoint 2007.
[-] Title buttons' behavior in Outlook 2007 is improved.
[-] Sometimes windows used to freeze in the rolled state and needed to be
    resized manually instead of unrolling - now the Unroll function works always
    as expected.

---------------------------------------------------------------------------
Actual Title Buttons 4.4 (16.04.2007)
---------------------------------------------------------------------------
[!] The long-awaited feature of "smart saving" is added: now only relevant
    windows will reapply their settings when the configuration has been saved.
[+] The long-awaited feature is added: now all the minimized windows can
    be restored via "Unhide"/"Unhide All" items of Control Center's tray icon
    context menu.
[+] The ability is added to adjust the font used by the Configuration Module
    (refer to the "User Interface" property sheet in the "Options" window).
[+] The ability is added to turn on smooth transitions between different
    transparency levels (refer to the "Make Transparent Action" property sheet
    in the "Options" window).
[+] The ability is added to turn on the smooth rolling up/unrolling of windows
    (refer to the "Roll Up Action" property sheet in the "Options" window).
[+] The ability is added for the "Send Configuration to Tech Support" main menu
    command: if the automatic e-mail creation is failed then you can save the
    archive with the configuration files somewhere to send it manually later.
[+] Translations to Brazilian Portuguese, Serbian (both Latin and Cyrillic) and
    Polish languages are added.
[*] Run-time memory consumption is slightly reduced.
[*] All property sheets for window rule settings are significantly redesigned;
    the new window rule features' Index panel is added.
[*] Now the Configuration Module remembers its main toolbars' placement and
    column widths in most of list boxes.
[*] The transparency effect compatibility with Stardock WindowBlinds is
    improved.
[*] The Resize Action Options property sheet is improved: now you can copy
    items and adjust the height of Sizes list box.
[*] The "Unused Buttons" button (grouping button) is improved: now it takes the
    icon and the tooltip of assigned function, if mouse-hovered.
[*] Now title buttons are displayed correctly when using Vista Transformation
    Pack, XP Media Center Edition theme or some of StyleXP themes.
[-] The bug with Microsoft Project 2002/2003 is fixed.
[-] The bug with command shell extenders (like 4NT) is fixed.
[-] Transparency effect's conflict with Rainlendar 2, RocketDock, Samurize
    and Y'z Shadow is fixed.
[-] The bug is fixed: XP Remote Desktop client was crashed if minimized to the
    system tray, and then the configuration was saved.
[-] The bug is fixed: the Windows Vista Firewall with Advanced Security's GUI
    was hung when the "New Rule..." button was pressed while running the Actual
    Tools program.
[-] The bug is fixed: the Always-On-Top state wasn't correctly stored between
    sessions when the "As before" option was selected.
[-] The bug is fixed: now title buttons work correctly in Excel 2007.
[-] The bug is fixed: now multiple instances of Excel 2003/2007 workbooks and
    Acrobat 7 documents can be correctly minimized to the system tray.
[-] The bug is fixed: if in multi-monitor configuration some windows were placed
    to a secondary display, and it was unplugged during the session then such
    windows are moved automatically to the primary display.
[-] The bug with Microsoft Office Shortcut Bar's hang is fixed.
[-] Conflicts with Microsoft Office 2007 tool tips and popup menus are fixed.
[-] The bug is fixed: Mozilla applications (Firefox, Thunderbird) left their
    taskbar entry if they were minimized to the system tray via the standard
    Minimize button.
[-] The bug with VMware Workstation 5.5 crash while opening the Snapshot Manager
    is fixed.
[-] The visual glitch is fixed when using the Tabbed Browsing plugin of
    Windows Live! Toolbar.
[-] The bug is fixed: Eudora was crashed immediately at startup if there
    any of extra Actual Tools buttons were added.
[-] The bug of incorrect window placement to a primary display while it's
    resized on secondary display is fixed.
[-] The bug of adding a new rule to the empty Specific Windows list is fixed.

---------------------------------------------------------------------------
Actual Title Buttons 4.3 (15.12.2006)
---------------------------------------------------------------------------
[!] Since this release Actual Tools are fully compatible with Windows Vista.
[!] Now the title buttons are displayed correctly in Windows Vista (both in Aero
    Basic and Aero 3D modes).
[!] Now all the configuration files are stored in user's profile (in the folder
    like "%UserProfile%\Application Data\Actual Tools\Actual Window Manager").
[+] The new "Manage Window Settings" title button is added.
[+] The support of extra title buttons in Microsoft Excel 2007 and Microsoft
    Word 2007 is added.
[-] Now the title buttons are displayed correctly for the non-standard sizes.
[-] The old known issue with the Lotus Notes client's crash at startup is fixed.
[-] The known issue with the Internet Explorer 7 crash while saving the
    configuration is fixed.
[*] Now the Internet Explorer windows are correctly processed in Windows Vista.
[-] The issue with the Mozilla-based browsers' (like Firefox, Seamonkey etc.)
    undesired focus switch is partially fixed (the issue still presents in
    Win9x).
[-] The issue of the malfunction of drag-n-drop in the Opera browser is
    fixed.
[-] The visual glitch of Windows Vista Sidebar widgets when they are made
    transparent is fixed.
[-] The issue with the Yahoo! Widgets windows' hang-up is fixed.
[-] The visual glitch of Stardock's ObjectDock is fixed.

---------------------------------------------------------------------------
Actual Title Buttons 4.2 (10.10.2006)
---------------------------------------------------------------------------
[!] The long-awaited feature is added: now the "Window caption" criterion
    correctly detects windows which quickly change their captions at startup
    (like Notepad, Internet Explorer, MS Word, MS Excel etc.).
[*] The "Manage Window Rule" submenu is renamed to "Manage Window Settings".
[+] The "Modify default settings" command is being included now into the "Manage
    Window Settings" submenu if the "All Windows" settings were applied.
[+] The translations to German, French, Spanish and Ukrainian are added.
[+] Now you can suspend the ghost mode with the special hotkey pressed
    (Ctrl+Shift by default).
[+] The support for the default Windows XP Media Center Edition visual theme is
    added (the proper title button skin was contributed by Riza Berbatovci).
[*] The skin naming system is changed: now when you select a theme for
    Windows XP the program will use the proper skin automatically if it's present in the
    "Skins" subfolder.
[+] The special "grouping button" is added; it contains all the commands of
    currently unused buttons.
[+] The blocking of the undesired self-activation for windows minimized to the
    tray is added.
[*] The minimization of the modal dialogs is improved.
[*] The Move-to-Monitor action now works correctly with the maximized
    windows.
[*] The Stretch Window action now remembers the previous sizes for the four
    main directions independently.
[-] The bug with the blocked Move-to-Monitor hotkey is fixed.
[-] The bug with the neglect of options other than "keep aspect ratio" in the
    "After Moving to Another Monitor" group is fixed.

---------------------------------------------------------------------------
Actual Title Buttons 4.1 (01.08.2006)
---------------------------------------------------------------------------
[+] Multi-monitor support: the new "Move to next monitor" title button is added.
[+] The ability to maximize window to desktop by the right-click on the standard
    Maximize title button is added.
[+] The ability to stretch window by the right-click on its border is added.
[+] Currently assigned hotkey's display is added in title buttons' tooltips.
[+] The translations to Japanese, Russian, Chinese Simplified and Chinese
    Traditional are added.
[*] The work speed and overall stability were slightly improved.
[-] The bug with the internal windows of MS Visual Studio 2003/2005 is fixed.
[-] The minor visual glitch with the Excluded Windows list in the right pane is
    fixed.

---------------------------------------------------------------------------
Actual Title Buttons 4.0 (05.05.2006)
---------------------------------------------------------------------------
[!] The Configuration Module's user interface is redesigned totally.
[!] Settings file size is significantly reduced comparing to the previous
    versions.
[!] Executable modules' size and run-time memory consumption are slightly
    reduced.
[!] The Help contents is redesigned almost from scratch.
[+] The Help system has become context-sensitive.
[+] Added the ability to copy window rules.
[+] Added the ability to customize an icon for a particular Specific Window
    rule.
[+] Added the ability to automatically create the e-mail message with the
    attached configuration file.
[+] Window Selector tool form now has the "Refresh" button.
[+] Window Selector's "Flash window" indication is improved: now it shows
    the window border even for a covered windows and also flashes window's
    taskbar button.
[+] "Create/Modify window rule" window menu option was transformed into
    a submenu named "Manage Window Rule" which provides the following abilities
    for a particular window:
    - create a new/modify the existent Specific Window rule
    - create an Excluded Window rule
    - reapply the window rule
[+] If a window was processed with the particular Specific Window rule the
    "Modify window rule" window menu item now indicates this rule's name.
[+] Added the ability to customize some user interface's options (like toolbars'
    buttons size).
[*] Now every new Specific Window rule is created using the All Windows rule as
    a template.
[+] Added the "Restore to Defaults" command which resets a particular Specific
    Window rule's options to All Windows rule's options.
[*] The correct scaling of the user interface forms is implemented when using
    the non-standard screen DPIs.
[+] Added the ability to set the desired width/height values as a percent of
    the corresponding desktop size.
[+] Window Finder internal tool was adapted for the detection of the
    current window size and position.
[+] The ghost mode was separated from the transparency and now can be turned
    on independently.
[+] Added the new title buttons items for the following actions:
    Ghost, Change Priority.
[+] Added the indication of the current state for the following title buttons:
    AltMin, Change Transparency, Align, Resize, Ghost, Change Priority.
[+] Added the skin support for the title buttons to fit them into the different
    visual themes.
[+] Added the ability to change the order of title buttons' appearance.
[+] Added the ability to enable/disable all the extra title buttons for a
    particular window rule.
[+] Added the ability to "freeze" the window stay-on-top state which
    prevents the application from resetting this state.
[-] Fixed the bug with Windows Movie Maker: it had hung after stream capture was
    started.
[-] Fixed the bug with Adobe Photoshop: the image window had lost the focus
    after selecting any tool in the Tools panel.
[-] Fixed the bug with the Windows folders: if you close the rolled up
    folder window then it will be restored with the incorrect size.

---------------------------------------------------------------------------
Actual Title Buttons 3.8 (23.09.2005)
---------------------------------------------------------------------------
[*] Fixed the bug: if minimized-to-tray application was
    restored by self or other application and not through the tray icon, in
    some programs icon remained in tray. To name just a few: Windows Task
    Manager, TextPad, Microsoft Outlook.
[*] Work with almost all integer-valued entry fields has been simplified.
    Now, one can start entering numbers from empty line and minus as a first
    symbol in window position fields is possible.
[*] Options Dialog: the disappearance of hotkeys list when all flags are
    disabled and all "Hotkey" values are set to "None" is fixed.
[-] Window Rule: "Window class" criterion's "Substring match" option has
    been removed. Now the criterion's test is always made as checking a join of
    "Window class" field's entered string into real window class name.
[*] Window system menu: the problem with incomplete activation of
    Configuration Module when choosing command "Create/Modify Window Rule" was
    finally solved.

---------------------------------------------------------------------------
Actual Title Buttons 3.7 (02.08.2005)
---------------------------------------------------------------------------
[-] Fixed the bug that caused blinking of the title buttons. Support of
    visual themes in Windows XP for title buttons has also been improved.
[-] The "Resize Window" action have been improved. The new version restores
    window sizes correctly. Also the program works fine with windows opened
    full screen.
[-] Fixed the bug that didn't allow setting the previous level of
    transparency correctly in Windows 2000.
[+] Added supports of RAdmin remote access windows.
[*] We have improved window class identification. Exact matching of the
    entered window class with the real window class is no longer required.
[-] Fixed the bug that didn't allow the Configuration Module's correct
    restoration when accessed through the "Create/Modify Window Rule" menu
    command.
[-] Fixed the bugs in the contextual menu in the Configuration Module tree.

---------------------------------------------------------------------------
Actual Title Buttons 3.6 (06.04.2005)
---------------------------------------------------------------------------
[!] New way to create the custom options for specific windows.
    The new item "Create Window Rule" is included in the system window menu
    of all windows. With a right mouse click on the window title call a
    menu and follow the item "Create Window Rule" to create a rule for this
    window. The new rule will be created automatically and what is left is
    to specify the actions which you would like to apply to this window.
[+] New option "Restore total visibility to the window" is added to
    Resize Window action. It enables enlarging a window without having
    it partly hidden beyond the bottom right-hand corner of your desktop.
    The window is automatically shifted to the top left-hand corner
    direction and thus recovers its entire visibility.
[+] New "Do not add icon to the tray" option is added to "Minimize to Tray"
    action. This option is useful for windows that have their own tray
    icons, such as Microsoft Outlook 2003, Windows Messenger and so on.
[*] Custom window rules are added in for the browsers Mozilla Firefox and
    Opera. Moreover, some settings of already existing rules are modified.
[*] The interface of the program is slightly changed.

---------------------------------------------------------------------------
Actual Title Buttons 3.5 (20.01.2005)
---------------------------------------------------------------------------
[!] Windows Extension Engine is improved.
[+] Added "Hide Configuration Window when using the Window Finder
    (gunsight) tool" option.
[+] Added "Enable All Rules" and "Disable All Rules" commands.
[+] Added context menu for Window Rules.
[+] Supports of MFC windows (window class like Afx:X:X:X:X:X)
[*] Memory usage and load speed optimization.

---------------------------------------------------------------------------
Actual Title Buttons 3.0 (13.10.2004)
---------------------------------------------------------------------------
[!] Hotkeys support: Now you can minimize programs to the system tray,
    always keep them on top, roll up windows, make them semitransparent,
    etc. by means only one keystroke combination. Such a possibility lets
    you manage the same actions much quicker on condition of using
    keyboard.

---------------------------------------------------------------------------
Actual Title Buttons 2.8 (31.08.2004)
---------------------------------------------------------------------------
[+] Added a "Resize Window" action. A Resize Window option lets you set
    the size of any selected application window to have it always opened at
    the size you want. A Resize Window tool is extremely useful for website
    designers. They can quickly see how their web project looks like in
    different resolutions by flicking through default window sizes or
    setting any unique window size on their own.
[+] Added command line support.
[+] Added a "silent" installation option.
[+] Added Dutch language.
[*] Some interface features changed and added.

---------------------------------------------------------------------------
Actual Title Buttons 2.7 (28.07.2004)
---------------------------------------------------------------------------
[+] Added an "Align window" action. Now the user may get any application
    window aligned with any of the 9 positions on the desktop: upper-left,
    upper-central, upper-right, etc.
[+] Added a new "Temporarily stop program" option to a context menu.
[+] Now supports Mozilla FireFox and Netscape browser.
[*] Some small bugs were fixed.
[*] Some interface features changed and added.

---------------------------------------------------------------------------
Actual Title Buttons 2.6 (26.05.2004)
---------------------------------------------------------------------------
[+] Added tooltips for additional caption buttons.
[+] Added Danish and Russian languages.
[+] Added a description field for Window Rule.
[+] Added commands for moving windows' rules up and down, in order to make
    them easier to find.
[*] Optimized memory usage and increased execution speed.
[*] Some interface features changed and added.

---------------------------------------------------------------------------
Actual Title Buttons 2.5 (27.10.2003)
---------------------------------------------------------------------------
[+] Added a context menu for the "Make Transparent" title button. Now you
    can select a different transparency level for any window on the fly,
    while it is open!
[+] Added a new "Send to Bottom" title button.
[+] Added a "Shift Buttons" option to use when adding title buttons.
    This allows shifting the buttons you add so they will not overlap
    or hide the existing program buttons at the top margin of your program.
[+] Added a command for sorting windows rules by name, in order to make
    the rules easier to find.

---------------------------------------------------------------------------
Actual Title Buttons 2.0 (12.03.2003)
---------------------------------------------------------------------------
[!] Added "Default Window Rule." The Default Window Rule now lets you
    define and apply new options to ALL windows in your system. The
    ability to apply different options to individual windows still
    exists.
[+] Added a "Program" choice for applying individual
    settings to selected windows.
[+] Added a dialog for choosing a window among existing windows to apply
    individual settings.
[*] Improved Windows XP Visual Styles support for new title buttons.
[*] Replaced rollup/unroll engine with newer, faster engine.

---------------------------------------------------------------------------
Actual Title Buttons 1.9 (12.03.2003)
---------------------------------------------------------------------------
[+] Added a new "Rollup/Unroll Window" title button. Roll up windows so only
    the title bars remain visible.
[+] Added a right-click context menu for tray icons with two commands:
    Restore Window and Close Window.
[+] Added German language.

---------------------------------------------------------------------------
Actual Title Buttons 1.8 (16.12.2002)
---------------------------------------------------------------------------
[+] Added French and Turkish languages.
[-] Some small bugs were fixed.
[*] Some cosmetical changes in the user interface.

---------------------------------------------------------------------------
Actual Title Buttons 1.7 (11.11.2002)
---------------------------------------------------------------------------
[!] Added multilingual support.
[+] Added English, Spanish, Italian, Portuguese, Swedish, Catalan and
    Polish languages.
[*] Highly increase program's launching speed.

---------------------------------------------------------------------------
Actual Title Buttons 1.6 (07.10.2002)
---------------------------------------------------------------------------
[+] Added a "Make Transparent" title button.
[+] Added an option "Enable/disable tray icon".
[+] Added an option "Load at startup".

---------------------------------------------------------------------------
Actual Title Buttons 1.5 (26.08.2002)
---------------------------------------------------------------------------
[+] Added an option "Save state of Stay On Top" button and restore it at next
    time.
[*] Improved windows enhancement techniques.
[*] Some interface features changed and added.

---------------------------------------------------------------------------
Actual Title Buttons 1.4 (25.07.2002)
---------------------------------------------------------------------------
[*] Improved windows enhancement techniques.
[*] Maintenance release.

---------------------------------------------------------------------------
Actual Title Buttons 1.3 (17.06.2002)
---------------------------------------------------------------------------
[!] Support of Unicode Windows (Windows Explorer, Internet Explorer, etc.).
[!] Support of MS-DOS prompt windows under Windows 95/98/ME.
[+] Added an option "Permanent tray icon".

---------------------------------------------------------------------------
Actual Title Buttons 1.2 (26.05.2002)
---------------------------------------------------------------------------
[+] Added a "Make Transparent" title button.
[+] Full support of Windows XP themes.
[*] Improved windows enhancement techniques.

---------------------------------------------------------------------------
Actual Title Buttons 1.1 (14.05.2002)
---------------------------------------------------------------------------
[+] Added an option "Use large icon" for a "Minimize to Desktop Edge" action
[*] Some interface features changed and added.

---------------------------------------------------------------------------
Actual Title Buttons 1.0 (01.05.2002)
---------------------------------------------------------------------------
[!] Initial Release

Copyright © 2002-2007 Actual Tools. All rights reserved.
Last modified: April 13, 2007.


System Requirements

To successfully running any of Actual Tools program, you should conform to the following requirements:

Operating system: Windows 95/98/ME/NT/2000/XP/2003/Vista
Processor: Pentium II 200 MHz or higher
System memory: 64 MB
Free disk space: 3 MB

Copyright © 2002-2007 Actual Tools. All rights reserved.
Last modified: April 13, 2007.


Upgrading from Previous Versions

If you are a registered user of any Actual Tools product earlier than version 4.0 please read the following carefully:

  • According to Actual Tools' upgrade policy, registered users are entitled to a special discount on major updates (as when upgrading from 3.x to 4.x). Please visit our Upgrade Center and follow the instructions there to register the Actual Tools program with this discount. Minor updates (like from 4.0 to 4.1) can be done for free using your original registration key.
  • You can import all the settings you had in a previous version of Actual Tools software if you are migrating:
    • from any earlier Actual Tools product to Actual Window Manager
    • from any earlier Actual Tools product to a later version of the same product (e.g. from Actual Title Buttons 3.8 to Actual Title Buttons 4.0)
    To import your settings from a previous version simply run the Configuration Import wizard and follow its instructions.

Copyright © 2002-2007 Actual Tools. All rights reserved.
Last modified: June 19, 2007.


Getting Started

Any Actual Tools program consists of two separate, integrated programs: the Control Center and the Configuration Module.

Control Center

The Control Center is a small, memory-resident application, which constantly monitors window activity from its icon in the system tray and features a context-sensitive set of menu commands. The Control Center uses the configuration defined within the Configuration Module to control the precise behavior of each window you specify. In other words, the Configuration Module provides access to all Actual Tools program's features while the Control Center brings these features to life. For easy access to the additional features available via the Control Center, make sure the Enable tray icon checkbox displays a checkmark.

You can start the Control Center in either of the following ways:

  • click "Start", select "All Programs", select "Actual Title Buttons", click "Actual Title Buttons" item
  • in the Configuration Module's main menu, click "Actions", then click "Load Actual Title Buttons" item

Configuration Module

The Configuration Module is an ordinary Windows® application that has a standard user interface designed for creating/changing Actual Tools program's configuration.

You can start the Configuration Module in either of the following ways:

  • click "Start", select "All Programs", select "Actual Title Buttons", click "Configuration" item
  • left double click the Control Center's tray icon or right click this icon and select "Configure..." in its context menu

Once you have the Configuration Module started you can:

  • change windows settings and then
  • save the configuration.

Copyright © 2002-2007 Actual Tools. All rights reserved.
Last modified: June 19, 2007.


Changing Windows Settings

Window settings may be divided into two main groups:

  • system-wide settings that affect every window in your system globally
  • specific window settings that affect windows exhibiting certain properties only

In addition, due to certain compatibility issues there is a separate group of exclusions, which lists windows with certain properties that are to remain unaffected by Actual Tools program.

System-Wide Settings

To adjust system-wide settings, you should run the Configuration Module and select the Default settings item. This option allows you adding new title buttons to any window's title bar, configuring minimization options, adjusting the transparency effect and much more. Note that other window options can only be accessed through specific settings for a particular window when some peculiarity of that window requires special treatment.

Specific Window Settings

Each window on your system exhibits a unique set of properties, which distinguish it from other windows, although certain types of windows can share some of these same properties. Actual Tools program lets you to define specific window settings that will be applied only to windows exhibiting a particular property. The quickest and easiest way to establish such settings is to right-click on a particular window's title bar, then select Manage Window Settings option and click the Create specific settings for this window item in the popup menu that appears:

Creating a Specific Window rule via extended window menu

This will start (or activate, if it's already started) the Configuration Module, add an appropriate item to the Specific settings list and make it focused - providing instant access to the entire range of Actual Tools program options. Here you also have access to additional options like automatic window positioning and resize-at-startup control.

Exclusions

There are some types of windows that Actual Tools program cannot handle in the conventional way due to idiosyncrasies of that particular window. To avoid any conflicts and unwanted effects you should exclude such windows completely from processing; you can do it in a same way as creating the specific settings:

  • right-click on a particular window's title bar
  • select the Manage Window Settings option
  • click the Exclude this window from Actual Title Buttons processing item in the popup menu that appears

Note Don't forget to save the configuration to register your changes with the operating system.

To learn more about available features, please refer to the Features section.
To learn more about principles of operation, please refer to the Principles of Operation section.


Actual Tools Home Page

Saving Your Configuration Settings

To permanently apply any changes you have made you will need to save the configuration. Note that if Control Center is already running it will reload the configuration and the changes will be applied for you automatically.

You can save the configuration manually in any of the following ways:

  • click the Configuration Module main menu's File option, then click the Save option
  • click the Save button in the Configuration Module's toolbar
  • execute the hotkey combination <Ctrl-S>
  • close the Configuration Module by any of the traditional methods and when prompted whether to "Save changes?" click the Yes button in the dialog box that appears.

Copyright © 2002-2007 Actual Tools. All rights reserved.
Last modified: June 19, 2007.


Features

In this section you'll learn exactly what Actual Tools programs can do with windows, and when - either with a particular window (see "Window Actions Reference" and "Window Triggers Reference") or globally (see "Control Center Tools Reference"). You can also use this section as a features reference for Actual Tools programs.

What to Do (Window Actions Reference)

When to Do (Window Triggers Reference)

Control Center Tools Reference

Important note! This section's material describes the totality of features fully available in Actual Window Manager only. Other Actual Tools products contain the limited set of features so please while reading the particular feature's description turn your attention to the list of products where this feature is available. If no such list is provided then it means the feature is available everywhere.

Copyright © 2002-2007 Actual Tools. All rights reserved.
Last modified: June 19, 2007.


What to Do (Window Actions)

Actual Tools programs provide a wide variety of features for advanced control of the various windows on your system. Among them are:

Align | - now you can precisely control the placement of windows on your desktop, automatically or manually arranging your windows exactly where you want them.
Center to point | - centers a window to the specified point of desktop.
Change caption | - if you don't like the default title bar caption or want to make it clearer you can change it to anything you like.
Change program affinity | - now you can finely tweak and balance the load of CPUs in a multi-processor system.
Change program priority | - now you can tweak your system for the most efficient use of hardware resources.
Change run mode | - select the most convenient window appearance for your day-to-day applications.
Close | - automatic release of unwanted/needless windows.
Ghost | - to "ghost" a window means that it will remain visible but all mouse clicks will pass through it without producing an effect.
Hide mouse pointer | - if you don't need to see the mouse pointer floating over a specific window (e.g. Tablet PC Input Panel) then you can easily turn it off.
Make transparent | - making windows semi-transparent is a stunning effect and can be very useful in certain situations.
Minimize | - used for the same reasons as the Close action but this just hides windows from the desktop keeping them running in background.
Minimize alternatively (AltMin™) | - now you are able to minimize your windows not only to the taskbar but to alternate locations as well - such as the system tray and specific locations on the screen.
Move to monitor | - in multi-monitor configurations you are able to send the desired window to any connected monitor.
Pin to desktop | - when pinned to desktop, window can't be minimized in any way.
Remove standard window parts | - finely tweak window's appearance and behavior.
Remove taskbar entry | - rid your taskbar of unwanted buttons.
Resize | - in addition to automatic alignment of your windows, you can also define optimum dimensions for specific windows.
Restrict placement | - split your desktop into well-defined zones for differently purposed windows and keep your workspace ordered neatly.
Roll up | - another way to free your desktop of currently inactive windows, the rollup function leaves only the window's title bar visible while hiding its contents.
Run keyboard macro | - if you need to press the same key combinations every time a certain window appears then you can store this sequence of keystrokes as a keyboard macro and send it automatically to that window, so significantly saving your time.
Send to bottom | - if you don't need a certain window at the moment but still want to keep it on the desktop you can use this feature to instantly place it on the bottom of the windows pile.
Stay always-on-top | - now you can precisely control this highly useful window state to keep desired windows visible on top of others.
Stretch | - a useful combination of aligning and resizing which moves the selected window's border/angle towards the corresponding desktop edge.

Also you can learn more about when you can use the actions listed above.

Copyright © 2002-2007 Actual Tools. All rights reserved.
Last modified: June 19, 2007.


Align

Available in: Actual Window Manager, Actual Window Guard, Actual Title Buttons, Actual Window Menu.

As its name implies, the Align action provides the automatic horizontal and vertical alignment of the target window. There are nine predefined alignment modes to automatically position your window on the desktop:

top-left Top-Left Aligning Mode | top-center Top-Center Aligning Mode | top-right Top-Right Aligning Mode
middle-left Middle-Left Aligning Mode | middle-center Middle-Center Aligning Mode | middle-right Middle-Right Aligning Mode
bottom-left Bottom-Left Aligning Mode | bottom-center Bottom-Center Aligning Mode | bottom-right Bottom-Right Aligning Mode

You can also specify horizontal and vertical shift values to force the precise, incremental positioning of windows on your desktop. For example, to position a window exactly 100 pixels over to the right from the left edge of the desktop and 150 pixels up from the bottom edge of the desktop you should select "bottom-left" and specify a horizontal shift value of 100 and a vertical shift value of 150. Alternatively, you can define these values as a percentage of the corresponding desktop size in either dimension. Both positive and negative shift values are allowed. (Note that a numeric value not preceded by a value sign is understood to represent a positive shift and the "+" plus sign may be omitted, while a negative shift must always be preceded by the "-" minus sign.) The following tables show how the positive and negative value signs affect window positioning in the various alignment modes:

Horizontal shift

Value Sign | + | -
Mode
any-Left | to the right | to the left
any-Center | to the right | to the left
any-Right | to the left | to the right

Vertical shift

Value Sign | + | -
Mode
Top-any | to the bottom | to the top
Middle-any | to the bottom | to the top
Bottom-any | to the top | to the bottom

Hint To obtain pixel-precision positioning of a window select top-left (the origin) and specify your shift values in pixels from there.

Related actions: Resize, Change Run Mode.

Possible triggers: Title Buttons, Window Menu, Startup.

Copyright © 2002-2007 Actual Tools. All rights reserved.
Last modified: June 19, 2007.


Center to Point

Available in: Actual Window Manager, Actual Window Guard.

The Center to Point action allows you defining a particular point on your Windows® desktop so every window, which at startup has been split between several monitors in the multi-monitor environment, will be repositioned so the defined point will become this window's center.

Hint This action is a good substitute for the Move to Monitor action when working in the Windows® Terminal Server environment through the client PC that has the multi-monitor configuration. In this case, Terminal Server knows nothing about client's monitors and considers them as a single very large one so you can't specify a monitor to place window on. Defining an appropriate point of desktop to center windows to it solves the described issue.

Related actions: Move to Monitor.

Possible triggers: Startup.


Change Caption

Available in: Actual Window Manager, Actual Window Guard.

The Change Caption action allows you changing window's caption string to one you like better.

Hint The Change Caption action is useful for instances where the default caption is needlessly cluttered with superfluous information you don't need to see (like program version numbers, folder paths, active database filenames, etc.) or times when you want to disguise a window's identity.

Possible triggers: Startup.


Change Program Affinity

Available in: Actual Window Manager, Actual Window Guard

The Change Program Affinity action provides you better control over CPU resources in a multi-processor system (including those with the HyperThreading™ and multi-core CPUs). Having several CPUs tremendously increases the computing power and also allows finer and more accurate load distribution between available processor units.

By default, Windows® distributes currently running applications between processors uniformly, thus providing the equal load for all available processor units. Saying shortly, it runs all applications on all processors. Let's imagine a set of "On/Off" switches where each switch corresponds to an existing CPU - this "set" is called program CPU affinity. Each running program has its own CPU affinity, and all those affinity "switches" are on by default (i.e. program runs on all available CPUs). However, sometimes arises a need to free CPU resources for a computationally intensive task (like bulky data compression, sound/video encoding, rendering of 3D-scenes, complex mathematical calculations, etc.) - adjusting program affinities can help on this way.

Hint For example, we have two processors (CPU 0 and CPU 1) installed in our system, and we are currently running Microsoft Word, Internet Explorer and 3D Studio Max. Also, we have an urgent task need to be completed in 3D Studio Max as soon as possible, so we want to grant more CPU resources to it. The default affinity picture will be as follows:

Program | CPU 0 | CPU 1
Microsoft Word | on | on
Internet Explorer | on | on
3D Studio Max | on | on
 CPU load before adjusting affinities

To provide 3D Studio Max with more CPU resources, we turn off CPU 1 switches in Microsoft Word and Internet Explorer:

Program | CPU 0 | CPU 1
Microsoft Word | on | off
Internet Explorer | on | off
3D Studio Max | on | on
 CPU load after adjusting affinities

So now 3D Studio Max will use CPU 1 exclusively and therefore will finish its calculations more quickly.

Hint Another application for this action is improving the compatibility of aged software (like old games or legacy programs) with the modern hardware. Such programs were developed in "single-CPU era" and, being run in multi-processor environment, they often become unstable or even crash unexpectedly. This situation can be improved by adjusting such programs' CPU affinity so the only one CPU left enabled, and therefore the program will run in the virtual single-CPU environment. For example, such old but still popular PC game as System Shock 2 (released in 1998 by Looking Glass Studios) requires changing its affinity to be run on a single processor - you can use the described action to do this automatically at game's startup.

Related actions: Change Program Priority.

Possible triggers: Startup.

Copyright © 2002-2007 Actual Tools. All rights reserved.
Last modified: June 21, 2007.


Change Program Priority

Available in: Actual Window Manager, Actual Window Guard, Actual Title Buttons, Actual Window Menu.

The Change Program Priority action allows you controlling the allocation of processing resources on your computer. As a multi-tasking operating system Windows® allows you running multiple programs simultaneously, but since most computers have only one central processor this means Windows® must divide the total amount of work the processor must perform between those programs. While each application has a priority that is automatically determined by Windows®, the default allocation of resources among running tasks doesn't always provide maximum system productivity.

Priority level determines how much of the processor's time will be allocated to a particular task, subject to the following values:

  • Low - can be used for programs that monitor the system with low priority refresh rates, such as screen savers or applications that only periodically update a display.
  • Below Normal,
  • Normal,
  • Above Normal - most useful and appropriate for controlling day-to-day operations.
  • High - should be used with care. If a program runs at the High priority level for extended periods then other programs on the system won't receive an appropriate share of processor time. If your application performs a task that requires the High priority while the rest of its tasks are Normal priority, raise the priority of the application temporarily; then reduce it after the time-critical task has been completed.
  • Real-Time - can be appropriate for applications that "talk" directly to the hardware or those which perform brief tasks with limited interruptions. As such, this value should be used with extreme caution by experienced users only, since improper use can interfere with system-critical processes that manage mouse and keyboard input, background disk flushing, etc.

Hint The Change Program Priority action allows you assigning a lower priority to minimized and inactive applications, enabling you to provide more central processor time to your more urgent programs on-the-fly as changing circumstances dictate.

Related actions: Change Program Affinity, Minimize, Minimize Alternatively (AltMin).

Possible triggers: Title Buttons, Window Menu, Startup, Deactivation, Minimization.


Change Run Mode

Available in: Actual Window Manager, Actual Window Guard, Actual Window Minimizer.

The Windows® operating system provides three standard run modes for the default appearance of the various system and application windows on your desktop:

  • Normal - the most common (and default) appearance for a window, this mode allows for the repositioning, resizing, maximizing (to full desktop-sized), minimizing (to a taskbar button), and restoration (from minimized) of windows.
  • Minimized - window is invisible but you can access it (and its various right-click menu options) via its taskbar button.
  • Maximized - window covers the entire area of the desktop, so you can't move or resize it; but you can either minimize it or restore it to its Normal mode.

The Change Run Mode action allows you setting the default run mode to any one of these three for practically any window on your system.

Hint You can combine the conventional Windows® Minimized run mode with Actual Tools programs' enhanced Minimize Alternatively (AltMin) action to achieve even greater control over your windows!

Related actions: Change Program Priority, Minimize Alternatively (AltMin).

Possible triggers: Startup.


Close

Available in: Actual Window Manager, Actual Window Guard.

The Close action terminates a running window and removes it from computer's memory. (Compare this with the Minimize action, whereby the window's state is merely changed but the window remains resident in memory.) If a window represents its associated application (such windows are called "main") then its closure will terminate the whole application including all its secondary windows.

Hint The Close action can be useful for those annoying popup windows (doesn't matter by which application they are produced) or for some windows that used rarely. The former kind of windows can be closed automatically just upon their appearance and the latter kind of windows can be closed automatically upon their deactivation.

Related actions: Minimize, Minimize Alternatively (AltMin), Roll Up, Send to Bottom.

Possible triggers: Startup, Deactivation.

Copyright © 2002-2007 Actual Tools. All rights reserved.
Last modified: June 19, 2007.


Ghost

Available in: Actual Window Manager, Actual Transparent Window, Actual Title Buttons, Actual Window Menu.

"Ghosting" a window means that any and all mouse clicks directed at the target window will bypass that window completely while still remaining subject to keyboard actions like hotkeys. While there is no difference in the appearance of a ghosted window, it remains untouchable by the mouse directly - although you still have mouse control over the window via its taskbar button: i.e., left-click to minimize/restore it and right-click to call up its window menu.

Hint The Ghost action is useful when you want to monitor activity in some window which does not require user interaction, like Windows® Task Manager's Performance tab. Simply ghost such windows and they become dynamic image windows (like a TV screen) allowing you to work and move about the desktop freely without interference from them.

Related actions: Stay Always-On-Top, Make Transparent.

Possible triggers: Title Buttons, Window Menu, Startup.

Copyright © 2002-2007 Actual Tools. All rights reserved.
Last modified: June 19, 2007.


Hide Mouse Pointer

Available in: Actual Window Manager, Actual Window Guard

The Hide Mouse Pointer action allows temporarily hiding the mouse pointer when it comes into the boundaries of specified window. This can be useful in case you're using some alternative input device (pen, touch screen etc.) and therefore don't want the mouse pointer to block the way.

Related actions: Change Caption, Remove Standard Window Parts.

Possible triggers: Startup.


Make Transparent

Available in: Actual Window Manager, Actual Transparent Window, Actual Title Buttons, Actual Window Menu.

The Make Transparent action appears in the last generation of Microsoft® operating systems like Windows® 2000/XP/2003/Vista. It allows you making a foreground window look like stained glass so you can see through it to the contents of windows behind it while simultaneously being able to still see the contents of the foreground window as well.

Make Window Transparent on-the-fly.

You can choose any transparency level for a particular window ranging from 0% (opaque) to 100% (completely transparent, or invisible).

Hint The Make Transparent action is very handy for working with and between multiple open windows that cannot be sized to fit on the desktop side-by-side. For example, attempting to transcribe something into a Microsoft® Word document from an Internet browser window when they won't both fit on the screen together at the same time.

Related actions: Roll Up, Stay Always-On-Top, Ghost.

Possible triggers: Title Buttons, Window Menu, Startup, Deactivation, Moving/Resizing/Mouse-Hovering, Title Bar Double-Click.


Minimize

Available in: Actual Window Manager, Actual Window Minimizer.

The Minimize action reduces an opened window to its associated button in the taskbar and thereby removes it from the desktop. If a window represents its associated application (such windows are called "main") then its minimization will hide the whole application including all its secondary windows.

Hint The Minimize action is useful for the applications, which run at Windows® startup or used from time to time. The former can be automatically minimized immediately as they are launched, and the latter can be minimized on their deactivation.

Related actions: Minimize Alternatively (AltMin), Roll Up, Send to Bottom.

Possible triggers: Startup, Deactivation.

Copyright © 2002-2007 Actual Tools. All rights reserved.
Last modified: June 19, 2007.


Minimize Alternatively

Available in: Actual Window Manager, Actual Window Minimizer, Actual Title Buttons, Actual Window Menu.

The Minimize Alternatively (AltMin™) action allows you minimizing your windows not only to the taskbar but also to the:

  • system tray - the specified window becomes a small icon in the Windows® system tray (or simply tray).

    If you then click this system tray icon, the default action is to restore the normal window and remove the icon from the tray. This default behavior can be modified with the Minimizing property sheet.
  • screen - the specified window is turned into a small icon, which is placed on the screen.

    You can drag this icon anywhere on the screen. If you then double-click this icon, the default action is to restore the normal window and remove the icon from the desktop/screen. This default behavior can be modified with the Minimizing property sheet.

Hint The AltMin action is especially useful for "background" applications (i.e., those which are able to run without user intervention), at-hand tools (like Calculators and Calendars), or, in general, any window that you have no need to view all the time while it is working. Minimizing these windows to the system tray or on the screen and bringing them back up when you really need them is a convenient way of providing quick access to them without having to load the program again, while leaving your taskbar and desktop free for more prominent window activity.

Related actions: Minimize, Roll Up, Send to Bottom, Change Run Mode.

Possible triggers: Title Buttons, Window Menu, Minimization.


Move to Monitor

Available in: Actual Window Manager, Actual Title Buttons, Actual Window Menu, Actual Window Guard.

The Move to Monitor action allows you placing a window to the desired monitor if you have the several monitors connected to your computer. Now you can quickly select on-the-fly the position for any window which is most appropriate in particular circumstances by switching it between the monitors. Also, you can define the initial window appearance on a particular monitor ordering your workspace in most efficient and convenient manner. Note that if your monitors have the different resolutions, this action is able to keep window's appearance after placing it to the selected monitor by enlarging or reducing its size accordingly to the target monitor resolution so window looks the same on any monitor.

Hint This action is well combined with the automatic window alignment and resizing.

Related actions: Align, Resize.

Possible triggers: Title Buttons, Window Menu, Startup.


Pin to Desktop

Available in: Actual Window Manager, Actual Window Guard.

The Pin to Desktop action allows you keeping a particular window always open on the desktop, denying any attempts of its minimization. The pinned window "sticks" to the desktop surface behind all other windows and can't be minimized in any standard way, including Windows® system commands "Minimize all" (Win+M hotkey) and "Show desktop" (Win+D hotkey). Although you still can hide such window using the alternative minimization.

Note As a side effect, the pinned window also disappears from the Alt+Tab sequence.

When window is pinned, its window menu is expanded with the extra Pin to desktop item. You can use this item to toggle the "pinned/unpinned" state of this window.

Hint This action can be considered as a permanent "send to bottom"; therefore the Send to bottom action is disabled for windows pinned to desktop. Pinning to desktop is good for background windows that are constantly monitoring some long processes and need to be always visible, though behind others.

Related actions: Minimize Alternatively (AltMin), Remove Standard Window Parts, Stay Always-On-Top, Send to Bottom.

Possible triggers: Startup.


Remove Standard Window Parts

Available in: Actual Window Manager, Actual Window Guard.

The Remove Standard Window Parts action allows you limiting standard window manipulations with a particular window by removing/disabling its standard window controls:

Standard Controls Scheme

  1. Minimize title button - without it you can't minimize window
  2. Maximize/Restore title button - without it you can't expand window over the desktop
  3. Sizing spot - without it you can't resize window in any way
  4. Title bar icon and Close title button - these controls can be removed only together; without them you can't close window and can't call its system window menu
  5. Border (including the title bar) - without title bar you can't drag or resize window by mouse; removing a border increases window's useful area expanding its contents to current window dimensions

Hint You can use Align and/or Resize actions to predefine window placement and then use this action to forbid this placement from further accidental or unwanted changes.

Related actions: Minimize Alternatively (AltMin), Align, Resize, Pin to Desktop.

Possible triggers: Startup.


Remove Taskbar Entry

Available in: Actual Window Manager, Actual Window Guard.

There might be certain windows you would like to perpetually maintain on the desktop but whose buttons you would prefer not to have taking up the precious little space available in your taskbar. The Remove Taskbar Entry action allows you accomplishing this task for almost any window - extending your ability to control your Windows® workspace.

Hint It is frequently beneficial to use this action in conjunction with the Roll Up action.

Related actions: Minimize Alternatively (AltMin), Roll Up.

Possible triggers: Startup.


Resize

Available in: Actual Window Manager, Actual Window Guard, Actual Title Buttons, Actual Window Menu.

The Resize action allows you controlling width and height of any window in various ways, changing all of the properties together or leaving them at their default settings. You can provide exact values in pixels or relative dimensions as a percentage of the corresponding desktop size. You can choose from among several, convenient predefined sizes or alternatively you can define your own settings. You can also fix the minimal/maximal size of a window to keep it within a particular range of limits.

Hint Try to use 100%x0 predefined size for documents containing wide tables and 0x100% predefined size for long documents.

Related actions: Align, Restrict Placement, Stretch.

Possible triggers: Title Buttons, Window Menu, Startup.


Restrict Placement

Available in: Actual Window Manager, Actual Window Guard.

Sometimes there arises a need to limit the area of possible placement for all windows on your desktop or for some particular windows. The Restrict Placement action is intended to satisfy such requirements. It allows you defining the limits relative to desktop for all four window borders of window so a window is restricted to be within these limits only, whether you move, resize or maximize it.

Limits are defined as margins of the desktop. For example, providing 50 pixels for the right border limit means "right window border cannot come closer than 50 pixels to the right desktop border" (and the same meaning is true for all other limits). Thus, defining all four limits means defining the rectangle of possible placement so a window can be moved or resized within this rectangle only. Here are some examples of possible limit configurations and their corresponding allowed and restricted areas relative to desktop:

a) all limits All four limits provided | b) top-left limits Top-left limits provided
c) right limit only Right limit only provided | d) top-bottom limits Top-bottom limits provided

When defining the limit, you can use as measure units either the pixels (for exact margin definition), the percent of current monitor size (to make the margin definition independent of a particular monitor resolution) or the percent of desktop size (to make the margin definition global and independent of on which monitor a window currently resides). Note that two latter measure units are different for multi-monitor environments only, in a single-monitor environment they work identically.

Once defined, the limits may prevent the required movement of window in some situations. So you can easily suspend the placement restrictions using the corresponding window menu item.

Hint To make always visible two vertical areas on your desktop - one on the left for handy shortcuts and one on the right for instant messengers, just define the left limit and the right limit of desired width - and no window will cover your handy icons or your contact lists.

Related actions: Align, Resize, Move to Monitor.

Possible triggers: Startup, Moving, Resizing, Window Menu.


Roll Up

Available in: Actual Window Manager, Actual Window Rollup, Actual Title Buttons, Actual Window Menu.

The Roll Up action offers yet another way of dispatching your windows in addition to closing or minimizing them.

Example of rolling up

Rolling up hides the contents of a window while leaving its title bar visible. You can thus readily see that the window is still present on the desktop while reducing its "footprint" to a much smaller size on your screen. In addition, windows so represented by only their title bars remain fully active: i.e., you can move them, minimize them, call up their system menus, or simply close them.

Hint The Roll Up action is ideal for situations when you work with several opened windows simultaneously and need to quickly review the contents of an inactive window presently underlying the active one. Simply roll up the obstructing active window, review the information uncovered in the previously obscured window and then unroll the active window back down again.

Related actions: Minimize, Minimize Alternatively (AltMin), Make Transparent, Stay Always-On-Top.

Possible triggers: Title Buttons, Window Menu, Deactivation, Mouse-Hovering, Title Bar Double-Click.

Copyright © 2002-2007 Actual Tools. All rights reserved.
Last modified: June 19, 2007.


Run Keyboard Macro

Available in: Actual Window Manager, Actual Window Guard

The Run Keyboard Macro action is very powerful and flexible tool allowing the automation of some repetitive keyboard manipulations when a particular window appears - it allows recording the required sequence of keystrokes (such sequence is called keyboard macro) in a special format and "play" this sequence automatically every time the certain window opens; "playing" here means the programmatic emulation of typing, as if you would really have been pressing the keys defined in the macro sequence.

Keyboard macro sequence can include any key or key combination; you can get more information on how to create a macro here.

Hint This action has an extremely wide variety of possible applications; here are just few common examples:

  • automatic positioning to the end of a long document (text, webpage, spreadsheet, etc.) or list (e.g. the file folder containing numerous files) by sending an appropriate key combination: <End>, <Ctrl+End>, <Ctrl+PageDown>, etc.
  • automatic filling of "Login/Password" fields in security query dialogs: assign to them the macro with the following structure - your login name<Tab>your password<Enter>
  • automatic insertion of regular text blocks into documents/e-mails: just paste such text block as a macro and assign this macro to a certain window

Important Note! Although keyboard macros are assigned to some particular windows, actually they are run via the special system keyboard buffer, which is shared by all windows. It means that if any new window appears when some macro is already being played then this newly appeared window will regain the input focus and therefore will receive the rest of played macro, so macro's target window won't get the whole sequence as expected. Considering this side effect, we recommend you to take into account the following ideas when using macros:

  • use accurately and deliberately the key combinations that change the input focus, such as <Alt+Tab>, <Ctrl+Esc>, <Win>, etc.
  • avoid creating very long macros because the more is the macro length the more is the probability of accidental input focus change
  • use wisely the Delay before running option for certain macros to schedule their playback at appropriate time

Possible triggers: Startup.

Copyright © 2002-2007 Actual Tools. All rights reserved.
Last modified: June 21, 2007.


Send to Bottom

Available in: Actual Window Manager, Actual Title Buttons, Actual Window Menu.

The Send to Bottom action allows you the quick dispose of unneeded windows while keeping them on the desktop, maintaining their original sizes and positions. It's like moving a playing card from the top of the deck to bottom of the deck.

Hint This action is useful for situations where you don't currently require access to the active window but plan on returning to it sometime later.

Related actions: Minimize, Minimize Alternatively (AltMin), Roll Up.

Possible triggers: Title Buttons, Window Menu.


Stay Always-On-Top

Available in: Actual Window Manager, Actual Transparent Window, Actual Title Buttons, Actual Window Menu, Actual Window Rollup, Actual Window Guard.

The Stay Always-On-Top action allows you keeping the selected window on top of your other open windows so that it's always accessible and never covered by them - even when it becomes inactive.

Pin any window to keep it over others.

Hint The Stay Always-On-Top action is appropriate for windows that monitor some activity and as such must always remain visible, and times when you need to drag-and-drop objects and information from one window to another: just make the target window always-on-top to prevent the source window from covering it up when you activate the source window by starting the drag-and-drop procedure.

Related actions: Roll Up, Make Transparent, Ghost.

Possible triggers: Title Buttons, Window Menu, Startup.


Stretch

Available in: Actual Window Manager, Actual Window Guard.

The Stretch action allows you quickly expanding the selected window edge/corner so it will coincide with the corresponding desktop edge/corner.

Hint In some situations, this can be a good replacement for the window maximization because often there's no need to expand the entire window but only its particular edge instead.

Related actions: Align, Resize.

Possible triggers: Standard Window Part Click.


When to Do (Window Triggers)

Actual Tools programs provide various ways to apply its features to your windows. Some of them occur automatically based on the current state of the window and its user-defined settings and others require manual interaction as specified by the user.

Automatic Window Triggers Reference

Manual Window Triggers Reference

Copyright © 2002-2007 Actual Tools. All rights reserved.
Last modified: June 19, 2007.


Automatic Window Triggers

Here is the complete list of triggering events, or triggers, on which Actual Tools programs can execute their window actions automatically:

startup | - Actual Tools programs can automatically change some window properties immediately upon launching the window.
closing | - Actual Tools programs can control the way in which a window closes.
minimization | - minimized windows can be tweaked for the more efficient use of hardware resources.
activation / deactivation | - sometimes it is useful to toggle a window's state, depending on its activity.
moving / resizing / mouse-hovering | - group of transient window states adapted to temporarily alter specific properties.

Copyright © 2002-2007 Actual Tools. All rights reserved.
Last modified: April 4, 2007.


Startup

Available in: Actual Window Manager, Actual Window Guard, Actual Transparent Window, Actual Window Minimizer.

The Startup trigger allows automatic execution of actions when a window is just opened anew, so don't confuse it with instances where an already-open window is activated or restored after simply having been minimized. The following actions can be triggered upon window's startup:

  • Align
  • Center to Point
  • Change Caption
  • Change Program Affinity
  • Change Program Priority
  • Change Run Mode
  • Close
  • Ghost
  • Hide Mouse Pointer
  • Make Transparent
  • Minimize
  • Move to Monitor
  • Pin to Desktop
  • Remove Standard Window Parts
  • Remove Taskbar Entry
  • Resize
  • Restrict Placement
  • Run Keyboard Macro
  • Stay Always-on-Top

Copyright © 2002-2007 Actual Tools. All rights reserved.
Last modified: May 29, 2007.


Closing

Available in: Actual Window Manager, Actual Window Guard.

The Closing trigger allows automatic execution of actions when a window begins to close. This trigger can be initiated by:

  • clicking the standard (provided by Windows®) Close title button
  • pressing the <Alt-F4> hotkey (a.k.a. keyboard shortcut)
  • the action of some other application (e.g., Actual Tools program itself) automatically performing the Close action

The following actions can be triggered upon closing a window:

  • Prevent unwanted closing attempts
  • Save the position
  • Save the size
  • Save the always-on-top state

Copyright © 2002-2007 Actual Tools. All rights reserved.
Last modified: April 13, 2007.


Minimization

Available in: Actual Window Manager, Actual Window Guard, Actual Window Minimizer.

The Minimization trigger allows automatic execution of actions when an opened window begins to minimize. This trigger can be initiated by:

  • clicking the standard (provided by Windows®) Minimize title button
  • clicking the associated taskbar button for the window while the window is maximized
  • the action of some other application (e.g., Actual Tools program itself) automatically performing the Minimize action

The following actions can be triggered upon minimizing a window:

  • Minimize Alternatively
  • Change Program Priority

Copyright © 2002-2007 Actual Tools. All rights reserved.
Last modified: December 8, 2006.


Activation / Deactivation

Available in: Actual Window Manager, Actual Window Guard, Actual Window Minimizer, Actual Transparent Window, Actual Window Rollup.

A window is called active when it has the keyboard input focus (or simply the focus), i.e. it exclusively receives all the notifications about the keys being pressed; all the other windows are called inactive. Active window is visually marked by its bright title bar while inactive windows have their title bars dimmed. Like the current player in a game of billiards whose turn it is to shoot while all the others stand idly by and wait their turn, only one window at a time can have the focus - so when you switch from one window to another the first one becomes inactive and the second one is activated. The active window is marked by highlighting its title bar while the others have their title bars dimmed.

Therefore, the Deactivation trigger allows automatic performance of actions when a window loses the focus (i.e., becomes the inactive window). Conversely, the Activation trigger allows automatic performance of actions when a window gets the focus. In most cases, Activation trigger performs the actions that are opposite to those triggered by the Deactivation trigger or simply restores the previous values of window properties changed by the Deactivation trigger. The following actions can be triggered upon deactivation:

  • Minimize
  • Roll Up
  • Make Transparent
  • Change Program Priority
  • Ghost
  • Close

Copyright © 2002-2007 Actual Tools. All rights reserved.
Last modified: June 19, 2007.


Moving / Resizing / Mouse-Hovering

Available in: Actual Window Manager, Actual Transparent Window, Actual Window Rollup.

Here's a description of the various "toggled" (i.e., "on/off") window states Actual Tools programs offer to provide you with extended control of the windows on your system. Sometimes it is useful to temporarily change some window properties depending on these states.

The Move state is turned on as soon as you start dragging a window around with the mouse pointer by its title bar: i.e., left-click anywhere on the window's title bar and (keeping the mouse button depressed) drag the window to its new location on the desktop. Another way to move a window is to activate its system menu and select there the Move command, then use the arrow keys to drag the window to its new location - finally pressing <Enter> to keep the selected position or <Esc> to cancel the changes. When you release the left mouse button or press one of the above-mentioned keys, Move state is turned off. Actual Tools programs can automatically execute the following actions while moving a window:

  • Make Transparent - set the specified transparency level. The previous transparency level will be restored when the Move operation is completed.
  • Restrict Placement - deny moving a window beyond the defined limits.

The Resize state is turned on as soon as you start resizing a window with the mouse pointer opposing arrows cursor; i.e., hover the pointer over the border of the window until it turns into opposing arrows, then left-click on the window's border and (keeping the mouse button depressed) drag the border to its new size. Another way to resize a window is to activate its system menu and select there the Size command, then use the arrow keys to resize the window - finally pressing <Enter> to keep the selected size or <Esc> to cancel the changes. When you release the left mouse button or press one of the above-mentioned keys, Resize state is turned off. Actual Tools programs can automatically execute the following actions while resizing a window:

  • Make Transparent - set the specified transparency level. The previous transparency level will be restored when the Resize operation is completed.
  • Restrict Placement - deny resizing a window so it goes beyond the defined limits.

The Mouse-hovering state is turned on the instant the mouse pointer crosses the boundaries represented by the window's borders into the visible portion of the window. Conversely, the instant the mouse pointer moves out this rectangle, Mouse-hovering state is turned off. Actual Tools programs can automatically execute the following actions while hovering a window by the mouse pointer:

  • Make Transparent - set the specified transparency level. The previous transparency level will be restored when the mouse pointer leaves the bounded region of the window.
  • Unroll - when the mouse pointer goes outside the window it is rolled up back. Note that you can also specify a delay period before automatic rolling up/unrolling takes place.

Copyright © 2002-2007 Actual Tools. All rights reserved.
Last modified: June 19, 2007.


Manual Window Triggers

Here is the complete list of triggering events, or triggers, which require user interaction to execute window actions:

extra title buttons click | - you can add extra buttons to a window's title for the manual control of that window's behavior.
extra menu commands click | - another way of manual window control is to add extra commands to the title bar's right-click context menu.
hotkeys' press | - you can define your own key combinations for most popular actions.
title bar double-click | - you can override or extend the default behavior of the title bar double-click action.
standard window part click | - you can assign the additional actions responding to the clicks (either left or right) on the different standard window parts such as border, title, standard title buttons etc.

Copyright © 2002-2007 Actual Tools. All rights reserved.
Last modified: April 4, 2007.


Title Buttons

Available in: Actual Window Manager, Actual Title Buttons, Actual Transparent Window, Actual Window Minimizer, Actual Window Rollup.

The Title Buttons feature allows the supplement of Windows®' standard set of system Standard Title Buttons: Minimize, Maximize/Restore, Close Minimize, Maximize/Restore and Close title buttons with an enhanced set of new and innovative ones. These new buttons provide access to the following Actual Tools programs' actions:

  • AltMin button AltMin - left-click this button to minimize the window by a user-configured method other than Windows®' default minimize to taskbar. Right-click this button to display a list of context menu options where you can select on-the-fly the best minimization method for a given situation, adjust minimization options, or cancel minimization capability altogether:

    AltMin button context menu

  • Roll Up button Roll Up - left-click this button to roll up the window. Left-click it again to unroll the window.
  • Stay Always-On-Top button Stay Always-On-Top - left-click this button to place and keep the window on top of the others. Left-click it again to let the window be covered by the others.
  • Send to Bottom button Send to Bottom - left-click this button to place the window under all the others.
  • Make Transparent button Make Transparent - left-click this button to change the transparency to a defined level. Left-click it again to restore the previous transparency level. Right-click this button to display the trackbar control that allows you quickly and easily set the desired transparency level on-the-fly - drag the slider to see the effect:

    Setting transparency on-the-fly

  • Align Window button Align - left-click this button to align the window in the manner specified in the Configuration Module. Left-click it again to move the window to its previous position. Right-click this button to display a list of context menu options where you can select from the full range of alignment methods available:

    Align Window Context Menu

  • Resize Window button Resize - left-click this button to resize the window to the user-defined default specified in the Configuration Module. Left-click it again to restore the window to its previous size. Right-click this button to display a list of context menu options where you can either select from a full range of predefined sizes or specify custom window dimensions on-the-fly as circumstances require:

    Resize Window Context Menu

  • Change Priority button Change Program Priority - left-click this button to change the priority level to the user-defined default specified in the Configuration Module. Right-click this button to display a list of context menu options where you can access the current priority setting and change it as circumstances require:

    Change Priority Context Menu

  • Ghost button Ghost - left-click this button to "ghost" the window.
  • Move to Monitor button Move to Monitor - left-click this button to move a window to the monitor that is assigned in your system as next to that one the desired window currently resides at. Right-click this button to display a list of context menu options where you can access the current monitor setting and change it as circumstances require:

    Move to Monitor Context Menu

  • Unused Buttons button Unused Buttons - this button is useful in the case you don't want to overburden your windows' titles with rarely used buttons but nevertheless want to have access to their functions. Right-click it to call the context menu which contains all the commands of currently unused buttons:

    Unused Buttons Context Menu

    You can also left-click this button. First time it will show the same menu as for the right-click but when you select something from this menu the selected function will be assigned to this button so, for example, you will be able to quickly change the transparency as if you would use the normal Make Transparent button. Selecting another function from the context menu will reassign this button to the selected function.
  • Copy to Clipboard button Copy to Clipboard - left-click this button to copy the data (either text, graphics or object) currently selected in the window to the Windows® clipboard. Using this button (and its Paste from Clipboard relative) to operate with the clipboard is far more quicker than using the commands of the same name in window's Edit menu, especially when using such alternative input device as touch screen (for example, on Tablet PC).
  • Paste from Clipboard button Paste from Clipboard - left-click this button to paste the data (either text, graphics or object) from the Windows® clipboard to the window. This button is complementary to the Copy to Clipboard button and should be used after you copied something to clipboard.
  • Manage Window Settings button Manage Window Settings - use this button to access the window settings commands in a single click (either left or right). For example, if you need to reset the settings of your window then you can quickly click this button and select the "Reapply settings" command in the appeared menu. Alternatively, you can easily create the specific settings for a particular window by clicking this button and then selecting the "Create specific settings for this window" command.


Window Menu

Available in: Actual Window Manager, Actual Window Menu, Actual Transparent Window, Actual Window Minimizer, Actual Window Rollup.

The Window Menu feature allows you the supplement of Windows®' standard window menu with easy, right-click context menu access to most of the enhanced window actions available in Actual Tools programs.

New Window Menu Items

These new context menu options include:

  • AltMin - displays a submenu for selecting alternative minimization methods, adjusting tray or screen icon options, or disabling minimization altogether:

    Window Menu AltMin submenu

  • Roll Up - left-click this option to roll up the window. Left-click it again to unroll the window.
  • Stay Always-On-Top - left-click this option to place and keep the window on top of the others. Left-click it again to let the window be covered by the others.
  • Send to Bottom - left-click this option to place the window under all the others.
  • Transparency - displays a submenu that allows you changing the transparency to a defined level, select from a range of predefined levels, or disable the transparency effect altogether:

    Window Menu Transparency submenu

  • Alignment - displays a submenu that allows you the choice from one of nine predefined methods of window alignment:

    Window Menu Alignment submenu

  • Resize Window - displays a submenu that allows you either choosing from a range of predefined window sizes or defining custom sizes on-the-fly to resize your window:

    Window Menu Resize Window submenu

  • Priority - displays a submenu where you can access the current priority setting and change it as circumstances require:

    Window Menu Priority submenu

  • Ghost - left-click this option to "ghost" the window. Left-click it again to restore the window to its normal state.
  • Move to - displays a submenu containing the list of currently connected monitors so you can send a window to any of them by selecting the appropriate item (the checked item corresponds to a monitor the window currently resides at):

    Move to Monitor Context Menu

  • Placement restrictions - this option is added automatically if you enable the placement restrictions for a window. Use it to suspend the defined placement restrictions and move/resize your window freely as circumstances require. After that, you can enable the defined restrictions back, and your window will be placed within the allowed area automatically and, if needed, reduced to fit within it.
  • Pin to desktop - this option is added automatically if you pin a window to desktop. Use it toggle the "pinned/unpinned" state of window in case you need to handle this window as usual.


Hotkeys

The Hotkeys feature allows quick "keyboard shortcut" access to the most popular actions. Press any of the following key combinations provided by default to trigger their assigned actions:

  • <Win-.> - to trigger the AltMin action
  • <Win-,> - to trigger the Roll Up action
  • <Win-S> - to trigger the Stay Always-On-Top action
  • <Win-B> - to trigger the Send to Bottom action
  • <Win-T> - to trigger the Make Transparent action
  • <Win-A> - to trigger the Align action
  • <Win-Z> - to trigger the Resize action
  • <Win-G> - to trigger the Ghost action

Copyright © 2002-2007 Actual Tools. All rights reserved.
Last modified: June 19, 2007.


Title Bar Double-Click

Available in: Actual Window Manager, Actual Transparent Window, Actual Window Rollup.

The Title Bar Double-Click trigger allows you overriding the default maximize/restore window behavior with the following actions:

  • Make Transparent - toggle between current and user-defined transparency levels: double-click once to set the user-defined transparency level and then double-click again to restore the previous transparency level.
  • Roll Up - toggle between current and its opposing rollup states. For example, if window is currently rolled up then double-clicking it once will unroll the window and then double-clicking it again will rollup the window back - and vice versa.


Standard Window Part Click

Available in: Actual Window Manager, Actual Window Guard.

Standard window parts include the following visual elements: title, border, Minimize/Maximize/Help/Close title buttons, menu icon. All of them have their default purpose: title can be used to drag window (left-click and drag) or to call window menu (right-click), border can be used to resize window (left-click and drag) etc. Note that some window may not have some parts, for example, standard dialog windows can't be resized and don't have Minimize/Maximize buttons.

The Standard Window Part Click trigger allows you assigning an additional functionality for some rarely used window parts getting your windows more interactive and convenient. This functionality depends on what part exactly is clicked and in what way (left-click, right-click, left-click plus key combination). Currently only three events are available to extend: border right-click, the Maximize button right-click and the Close button right-click.

The Border Right-Click event allows the execution of the following actions:

  • Stretch - quickly stretches window towards the corresponding desktop edge or corner. Right-clicking the same border part again restores window size back.

The Maximize Button Right-Click event allows the execution of the following actions:

  • Maximize to Desktop - if you use more than one monitor to display your desktop this will expand your window to all visible screen space. Right-click this button again restores window size back.

The Close Button Right-Click event allows the execution of the following actions:

  • Close - this is an alternative way to close a window: when the left-click is blocked or assigned to make the minimization - the right-click does the job.


Control Center Tools

Control Center tools provide some service functions of global window management. Here is the complete list of tools currently available in Actual Tools programs:

Unhide | - provides the unified access to all alternatively minimized windows.
Windows Layout | - automatically preserves the overall relative layout of currently opened windows after a change of desktop resolution.
Windows Monitoring Log | - tracks each new window appearance, retrieves this window's properties and stores them into the log file.

Copyright © 2002-2007 Actual Tools. All rights reserved.
Last modified: June 6, 2007.


Unhide

Available in: Actual Window Manager, Actual Window Minimizer, Actual Title Buttons, Actual Window Menu.

The Unhide Control Center tool detects when you minimize a particular window alternatively and then allows you restoring such windows via Control Center context menu:

Unhide Context Menu

  • Unhide submenu - displays a list of currently minimized windows. Click the desired list item to restore its corresponding window
  • Unhide All command - click this item to restore all currently minimized windows at once

Unhide tool is available all the time the Control Center is running.


Windows Layout

Available in: Actual Window Manager, Actual Window Guard.

The Windows Layout Control Center tool allows you saving a lot time on manual window manipulations if you often change your desktop's resolution, for example:

  • while working with the same PC both locally and via the Remote Desktop service
  • connecting/disconnecting a second monitor to your notebook
  • connecting/disconnecting an external large monitor to your Tablet PC

When you enlarge your desktop resolution all currently opened windows remain small and grouped in the left-top corner of desktop so you need to manually resize and relocate them to effectively use the enlarged visible area. And vice versa, when you reduce your desktop resolution your windows remain large and therefore don't fit the reduced visible area and even may stay outside it completely - so you again need to manually resize and relocate such windows.

Windows Layout tool resolves all such issues: it can detect changes of desktop resolution and automatically relocates/resizes all currently opened windows, as shown below, so keeping their relative layout and placement on the desktop (check that the Keep layout automatically option is enabled):

Keeping windows layout while enlarging the desktop resolution

Keeping windows layout after enlarging the desktop resolution

In the automatic mode Windows Layout tool also can detect each new window's appearance and check if this window exceeds current desktop boundaries (this can happen when you close a window in a high desktop resolution, and window has remembered its location and size, so when you open it in a low desktop resolution it goes outside the reduced visible area). In such case, Windows Layout tool will automatically return a window into a visible area of desktop.

By default, Windows Layout tool both relocates and resizes opened windows but if you want to leave the sizes intact and only relocate your windows then you should disable the Resize along with desktop option.

This can be useful when using the manual relocation feature provided as the Relocate now context menu item. The manual relocation works by the following principle: it detects the bounding box for all currently opened windows and then stretches this bounding box so it coincides with the desktop; opened windows are relocated/resized appropriately and, as a result, all become fully visible. This principle is depicted in the figure below:

Manual relocation's principle of operation

Manual relocation's principle of operation

You can use the Relocate now menu item to quickly return scattered windows into a visible desktop area either when you turned off the automatic mode or due to some reasons manually moved your windows out of desktop and need them back in a single mouse click.

Windows Layout tool is available all the time the Control Center is running; you can adjust its options in the Windows Layout Options property sheet.


Windows Monitoring Log

The Windows Monitoring Log Control Center tool has two main purposes:

  • it allows you checking the correctness of your configuration (mainly, specified Target Window options) by displaying which window rule has been applied to a certain window
  • it retrieves the values of internal window properties and so provides the required information to create window rules for such short-living windows as popup menus, tool tips, splash screens, etc.

Once enabled, the Windows Monitoring Log tool starts to track window events relevant to Actual Tools program functioning. Currently there are two main event types:

  • new window - happens when a window has been just opened anew
  • caption string change - happens when a window due to some reasons has changed the caption string displayed in its title bar

When any of these events happens, the Log tool writes a new record into the log file; each such record has the following properties:

Date/Time | - event timestamp allowing to identify the certain event
Event | - event type (either the New Window or Caption Changed value)
Rule/Exclusion Name | - the name of window rule (either default or specific) that has been found and applied to a window when the event happens, or the name of exclusion that forces Actual Tools program to leave a window untouched
Window Class, Window Title, Program | - actual values of window properties required to fill the Target Window options of the same name
Handle, Styles, Extended Styles | - actual values of internal system window properties, used mostly for debugging purposes

The log file itself is named EventLog.txt and is stored in your user profile (i.e. in the folder like C:\Documents and Settings\<your account name>\Application Data\Actual Tools\Actual Title Buttons. You can also view the log contents in the Log window that can be displayed via the Show log window menu command of Control Center's context menu.


Principles of Operation

To fully appreciate the power of Actual Tools programs you should spend a few minutes developing an understanding of their principles of operation. They're easy to grasp! This section provides a detailed description of the various types of window rules, what they do, and the differences and relationships between them.

Copyright © 2002-2007 Actual Tools. All rights reserved.
Last modified: June 2, 2006.


Window Rule

A window rule is a fundamental element of any Actual Tools program used to define which windows should be processed and in what manner. Window rules consist of the following two components:

  • target window - this component specifies which window to process;
  • feature options - this component defines which features will be applied to the target window specified.

To simplify the processing and management of the multitude of windows on your system Actual Tools programs provide three categories of window rules:

  • Default Settings rule - utilizes the feature options without specifying a particular target window. This category allows you creating a single, predefined "blanket rule" for the application of specific functions and features to any window regardless of its nature and properties;
  • Specific window rules - utilizes both the feature options and target window components to configure the appearance and functionality of a particular window. You can create as many specific rules as you like, and you can modify or delete them freely at any time;
  • Exclusion window rules - utilizes the target window component only since its purpose is to define which windows should remain unaffected by the Actual Tools program control altogether. Just as for specific rules, you can freely create, modify and delete exclusions at will.

When some user- or system-initiated action spawns a window, the Control Center detects this action and tries to find an appropriate rule to apply to the configuration of that window. To learn more about this process, please, refer to the article How Actual Title Buttons Selects a Proper Rule to Apply.


Target Window

Some window rule types, like Specific Settings and Exclusions, have a special set of criteria that allows you the precise identification of the target window. These criteria are based on the internal properties inherent to all windows and on any additional values assigned to specific windows by the Windows® operating system.

Actual Tools programs use the following three window properties for target window identification:

  • window class - internal window type identifier; i.e., its "system name". This is the most accurate method of target window identification although it's sometimes insufficient by itself, since many windows of the same class nevertheless differ significantly. A good example of such windows is an Explorer folder window: you can have several such folders open simultaneously in different windows but all of them will have the same window class value, so window class alone is insufficient to distinguish them from one other.
  • window program - the name of the main .EXE file for the application spawning a particular window or set of windows. Use this property to create a common setting for all the windows, associated with a single application, but note that "all" actually does mean ALL windows - including all program-related dialogs, queries, messages, alerts, etc.
  • window caption - visible window identifier appearing in its title bar. In most cases, this method of window identification will be used in conjunction with the first two, but occasionally it can be used as a lone means of identifying a window if the need arises. You have the option of specifying either the complete string of characters appearing in the title bar of any particular window as an exact match, such as Microsoft Word - which will target only windows containing that exact, literal string; or alternately you can specify any partial substring match, such as Microsoft (by itself) - which will target any and all windows containing the string Microsoft, including Microsoft Word, Microsoft Excel, Microsoft Outlook etc.

Note You can combine criteria to make target window restrictions more specific but be aware that - once specified - a target window so defined must conform to ALL such restrictions and not merely to any single one of them. In other words, this is an AND...AND situation and not an EITHER...OR. The more criteria you use the more precise the window specification. For example, if you activate the Window Class criterion for a rule and set its value to CabinetWClass then all folder windows will be affected by this rule. If, in addition to this, you activate the Window Caption criterion, select the substring match mode and set the value to music, then only folder windows displaying this partial substring in their caption - like My Music, Temporary Music Files, etc. - will be affected. If, on the other hand, you select the exact match mode and set the value to My Computer then only the My Computer folder window will be affected.

While Actual Tools programs allow you supplying values for all these criteria manually they also provide two quick and easy magic tools - Window Finder and Window Selector - for the automatic retrieval and application of established values from windows you've already set up.


Default Settings

The Default Settings rule is a special kind of rule assigned to those windows that don't have a corresponding specific rule or exclusion rule. In other words, the Default Settings rule defines the default set of Actual Tools program's features. Here you can add the default set of title buttons that will be available to every window, extend every window's system menu with handy commands, adjust the default options of minimization, rolling up and closing characteristics, and tweak many other options to suit your needs.

Hint You can enable the Default Settings rule to turn the default processing on or disable it (by unmarking its checkbox) to provide specific windows processing only.

Note that some options have been purposely excluded from Default Settings processing when they would be meaningless or possibly problematic for any window. There are, for example, certain windows with no title bar and windows that cannot be minimized or resized, and it would be pointless to specify window positioning or size for such arbitrary window. For this reason, the full range of options is available via the specific rules only.

In addition, some system or service windows should be left unhandled by Actual Tools programs. Such windows do their work in the background and therefore do not present themselves for user interaction, so these windows should be excluded to avoid problems that might otherwise arise if you tried to alter their properties or interfere in their behavior.

Copyright © 2002-2007 Actual Tools. All rights reserved.
Last modified: June 19, 2007.


Specific Window Settings

Specific window rules are used to customize the features, functions and appearance of specific windows in ways that differ from the default characteristics established for all windows. For example, you might want to change the default set of title buttons, adjust size and positioning characteristics, or alter the minimization function for a particular window. After creating a specific rule, you can access the full range of options the particular Actual Tools program offers. You can create as many specific rules as you like and you can delete them as they become obsolete.

Hint You can simply disable a particular specific rule (by unmarking its checkbox) to force the associated window to conform instead to the Default Settings rule conditions. It's an easy way of taking the rule "offline" without permanently deleting it. This way - should you ever change your mind and decide to reapply your original settings for that window - you can do so without having to reconfigure them all over again from scratch.

Specific rules require you to provide target window criteria for any new window you wish to create a rule for, and we suggest that you establish these criteria as a first step before altering any of the default rule options values.

Note The order of rules in this list is extremely important in the event that you have several rules for related windows exhibiting similar criteria. In such cases we suggest that you manually position any rules with the more specific criteria before (i.e., above) the related window rule exhibiting the less specific criteria. For example, you have established the specific rule for all Windows® Explorer windows with the Program criterion set to C:\Windows\explorer.exe (a less specific criterion) and the Window Caption criterion of a rule for a specific instance of an Explorer window set to Music. The Music window exhibits more specific criteria than the "plain vanilla" Explorer window since it is both an Explorer window and one which displays the specific caption Music in the title bar, whereas the Explorer window is merely a generic Explorer window with no regard for the title bar caption. As such, the rule for the Music window should be placed before the rule for the generic Explorer window in order for the Music window to behave properly. Note, too, that once you have manually arranged the order of such rules you should not use the alphanumeric sort buttons to automatically rearrange them, lest you lose the functionality of such manually arranged windows (unless their names provide the desired order naturally).

Copyright © 2002-2007 Actual Tools. All rights reserved.
Last modified: June 19, 2007.


Exclusions

The purpose of the Exclusions category is to keep specific windows or sets of windows unprocessed by Actual Tools programs when the Default Settings rule is enabled. This category generally includes system and other special-purpose windows that handle background tasks which are hidden from the user and do not involve user interaction. In other words, if you elect to enable the Default Settings rule this is a way of telling the Actual Tools program to process all windows except those itemized under the Exclusions category. You can add and delete as many Exclusion rules as you like, but you should exercise great caution deleting any of the Exclusion rules that are listed in this category by default as the program ships from Actual Tools, since improper deletion could result in system instability.

Hint You can disable a particular Exclusion rule to force the associated target window to conform to the Default Settings rule but you should exercise the same precautions as when deciding to delete an Exclusion rule.

Like the Specific Settings category, Exclusions require you to provide target window criteria for any specific window you wish to exclude from the Actual Tools program's processing.

Copyright © 2002-2007 Actual Tools. All rights reserved.
Last modified: June 19, 2007.


How Actual Tools Program Selects a Proper Rule to Apply

The instant a particular window appears the Actual Tools program's Control Center performs the following actions:

  • scans sequentially (from top to bottom) the list of specific rules in the order they occur in the Navigation Pane of the Configuration Module and tries to match the window with one of the sets of Target Window criteria appearing in the Target Window pane. Note that it skips the disabled (i.e. unchecked) rules while scanning. Upon locating a rule that is both enabled and matches the criteria for that particular window, this is considered the appropriate target window and the whole process stops. If the Control Center scans all the way to the end of the list and an appropriate rule is not found the program proceeds to the following step...
  • scans sequentially the Exclusions list and tries to match the window with one of the sets of Target Window criteria appearing in the Target Window pane, just below the list of rules. Note that it skips the disabled (i.e. unchecked) rules while scanning. Upon locating a rule that is both enabled and matches the criteria for that particular window, this is considered the appropriate target window, the process stops and the window is left unchanged. If the Control Center scans all the way to the end of the list and an appropriate rule is not found the program proceeds to the last step...
  • checks to see if the Default Settings rule is enabled (i.e. checked). If the answer is yes then the Default Settings rule is applied to the window - otherwise, if the Default Settings rule has been disabled (i.e. unchecked) the window is left unchanged, and at this point, the process terminates completely.

During the scanning process the Actual Tools program's Control Center checks the Target Window criteria utilizing the following rules:

  • it considers enabled criteria only
  • it considers the criterion to be disabled if the criterion is enabled (i.e., its checkbox is checked) but no value has been provided
  • it considers all the criteria for a potential target window as a whole: i.e., if the scan fails to meet any single criterion of several criteria then the test fails completely
  • it always tests the Window Class and the Program values for a substring match
  • it tests Window Caption value according to the chosen method: either an exact match or a substring match

Copyright © 2002-2007 Actual Tools. All rights reserved.
Last modified: June 19, 2007.


User Interface

This section describes the user interface for both executable modules of every Actual Tools program:

  • Control Center
  • Configuration Module

Important note! This section's material describes the totality of features fully available in Actual Window Manager only. Other Actual Tools products contain the limited set of features so please while reading the particular feature's description turn your attention to the list of products where this feature is available. If no such list is provided then it means the feature is available everywhere.

Copyright © 2002-2007 Actual Tools. All rights reserved.
Last modified: June 2, 2006.


Control Center User Interface

Since the Control Center is a small, memory-resident application, its user interface is also small and simple to reduce the amount of required memory. It includes the system tray icon and its context menu:

Control Center Context Menu

  • Configure... menu item - opens the Configuration Module's Main Window
  • Unhide, Unhide all menu items - relate to Unhide tool
  • Windows Layout menu item - relates to Windows Layout tool
  • Show/Hide log window menu item - relates to Windows Monitoring Log tool: click to open/hide the Actual Title Buttons Log window. This menu item appears only when this tool is enabled
  • Help menu item - opens this Help window
  • How to... menu item - contains the shortcuts to different Help articles explaining some frequently asked questions
  • About... menu item - opens the About dialog
  • Register... menu item - opens the Registration dialog
  • Stop/Start menu item - tells the Control Center to temporarily stop processing the windows/start it again
  • Exit menu item - stops processing the windows and shuts the Control Center down

All the features of any Actual Tools program (including the Control Center's tray icon appearance) can be accessed via the Configuration Module User Interface.

Copyright © 2002-2007 Actual Tools. All rights reserved.
Last modified: June 19, 2007.


Configuration Module User Interface

All the power of Actual Tools programs is available through their comfortable and intuitive Configuration Module. Thus, most information in this section describes the meaning and purpose of all the windows, dialogs and controls, which you can encounter while working with the Configuration Module.

Here is the complete list of the Configuration Module windows:

  • Main window - allows configuring window rules
  • Configuration Import wizard - a series of dialogs that leads you step-by-step through the Import process
  • Options dialog - here you can adjust Actual Tools program's options
  • Subscribe to Newsletter dialog - a quick way to get the e-mail subscription to Actual Tools news
  • Tell a Friend dialog - send a notification e-mail about Actual Tools programs to your friends
  • Registration dialog - here you can register your copy of Actual Tools program with the registration code you must pay for
  • About dialog - shows the information about the copyright, current Actual Tools program version and registration status


Main Window

The Main window consists of the following functional areas:

Configuration Module's Main Window

  • Main Menu/Toolbar (1);
  • the left pane (2) which is called Navigation Pane. It contains all the categories of window rules and provides access to their properties.
  • the right pane (3) which is called Details Pane. It can contain different panes depending on which item selected in the Navigation Pane. There you can:
    • configure default window settings
    • maintain Exclusions and Specific settings lists
    • configure target window options or window settings for a particular Specific Settings item

Copyright © 2002-2007 Actual Tools. All rights reserved.
Last modified: June 19, 2007.


Main Menu / Toolbar

The Main Menu bar is similar to those in other Windows® applications and provides access to all the application's features. It has four top-level menu items and each of them has its own list of commands:

  • File menu item
    • Save - saves the configuration.
    • Import menu item
      • Import Configuration... - opens the Configuration Import wizard.
    • Send Configuration menu item
      • Send to a Friend - automatically creates a new e-mail with the attached ZIP archive containing your configuration files.
      • Send to the Tech Support - automatically creates a new e-mail with the attached ZIP archive containing your configuration files and fills this e-mail's "To:" field with the Actual Tools Technical Support address.
    • Exit - closes the Configuration Module.
  • Windows menu item
    • Add Window Rule - adds a new specific window rule. A new rule has the default name Window n (e.g. Window 1, Window 2, etc.) and all its options are preset to the values defined for the Default Settings rule.
    • Delete Window Rule - deletes the selected specific window rule.
    • Copy Window Rule - adds a new rule that is an exact copy of the selected Specific Window rule.
    • Move Up - changes the position of the selected rule in the list (it is placed one step upper than before).
    • Move Down - places the selected rule one step lower than before.
    • Sort Ascending - sorts specific window rules in ascending alphabetical order of their names.
    • Sort Descending - sorts the specific window rules in descending alphabetical order of their names.
    • Enable All - enables all specific window rules.
    • Disable All - disables all specific window rules.
    • Restore to Default - resets the selected specific rule's settings to those defined in the Default Settings rule.
    • Copy Settings from... - replaces the selected specific rule's settings with those defined in another specific rule selected in the Select Rule dialog.
  • Actions menu item
    • Load Actual Title Buttons - launches the Actual Title Buttons's Control Center and begins processing the already opened windows.
    • Unload Actual Title Buttons - stops processing the windows and shuts the Actual Title Buttons's Control Center down.
    • Start Actual Title Buttons - re-enables processing the windows if it was stopped by the next command.
    • Stop Actual Title Buttons - temporarily disables processing the windows.
    • Options... - opens the Options dialog.
  • Help menu item
    • Context Topic - opens the manual on how to use Actual Title Buttons.
    • Actual Tools Home Page - opens an Internet browser window and directs you to the Actual Tools site http://www.ActualTools.com/. You can learn more about our company and our products here.
    • Actual Title Buttons Home Page - opens an Internet browser window and directs you to Actual Title Buttons home page.
    • Information about Updates... - opens the Subscribe to Newsletter dialog.
    • Tell a Friend... - opens the Tell a Friend dialog.
    • Enter Registration Code - opens the Registration dialog.
    • Order Full Version Now - opens an Internet browser window and directs you to the order page of Actual Title Buttons.
    • About... - opens the About dialog.

The Main Toolbar contains the buttons that double the commands from the Main Menu so you can invoke the same operations just by a single mouse click.


Navigation Pane

The Navigation Pane contains three special items:

  • Default settings - this item represents the Default Settings rule, you can mark/unmark a checkbox on the left of its name to enable/disable the Default Settings rule
  • Exclusions - this item represents the Exclusions list
  • Specific settings - this item represents the Specific Window Settings list

Besides, the Specific settings item has a list of subitems where each item represents a particular specific window rule. You can collapse or expand the Specific settings list by clicking the plus/minus sign on the left of its name. Every item in this list also has a checkbox on the left of its name. You can mark/unmark this checkbox to enable/disable a particular rule.

Upon selecting the desired item, the Details Pane will show its related options so you can alter them. You can select an item by:

  • left- or right-click its name
  • use the cursor keys
  • typing a few first letters of its name to jump to it quickly

Also you can use the Navigation Pane to relocate a particular specific rule by dragging it with a mouse:

  • left-click the desired item and hold the left mouse button
  • without releasing the button, move the mouse to the desired new position
  • release the left mouse button


Exclusions Pane

The Exclusions pane contains the following functional areas:

  • Exclusions toolbar
  • Exclusions list
  • Target Window pane containing the information related to the item selected in the list.

The Exclusions toolbar contains the following commands:

  • Add Exclusion - adds a new item to Exclusions list. A new item has the default name Window n (e.g. Window 1, Window 2 etc.).
  • Delete Exclusion - deletes the item selected in the Exclusions list.
  • Copy Exclusion - adds a new item that is an exact copy of the selected item of the Exclusions list.
  • Move Up - changes the position of the selected item in the list (it is placed one step upper than before).
  • Move Down - places the selected item one step lower than before.
  • Sort Ascending - sorts the Exclusions list in ascending alphabetical order of their names.
  • Sort Descending - sorts the Exclusions list in descending alphabetical order of their names.
  • Enable All - enables all Exclusions items.
  • Disable All - disables all Exclusions items.

In the Exclusions list each item represents a particular exclusion rule. The list consists of the four columns:

  • Name - shows the exclusion name
  • Window Class - shows the string value provided for the Window Class criterion of rule's Target Window criteria set
  • Caption - shows the string value provided for the Window Caption criterion of rule's Target Window criteria set
  • Program - shows the string value provided for the Program criterion of rule's Target Window criteria set

Also, every item in this list has a checkbox on the left of its name. You can mark/unmark this checkbox to enable/disable a particular rule.

Upon selecting the desired item, the Target Window pane will show its Target Window criteria values so you can alter them. You can select an item by:

  • left- or right-click its name
  • use the cursor keys
  • typing a few first letters of its name to jump to it quickly

Also you can use the Exclusions pane to relocate a particular exclusion rule by dragging it with a mouse:

  • left-click the desired item and hold the left mouse button
  • without releasing the button, move the mouse to the desired new position
  • release the left mouse button


Specific Settings Pane

The Specific Settings pane contains the following functional areas:

Specific Settings Pane

  • Specific settings toolbar
  • Specific settings list

The Specific settings toolbar provides similar functions as Windows submenu of the main menu/toolbar.

In the Specific settings list each item represents a particular specific rule. The list consists of the four columns:

  • Name - shows rule's name
  • Window Class - shows the string value provided for the Window Class criterion of rule's Target Window criteria set
  • Caption - shows the string value provided for the Window Caption criterion of rule's Target Window criteria set
  • Program - shows the string value provided for the Program criterion of rule's Target Window criteria set

Also, every item in this list has a checkbox on the left of its name. You can mark/unmark this checkbox to enable/disable a particular rule.

You can select an item by:

  • left- or right-click its name
  • use the cursor keys
  • typing a few first letters of its name to jump to it quickly

Also you can use the Specific settings pane to relocate a particular specific rule by dragging it with a mouse:

  • left-click the desired item and hold the left mouse button
  • without releasing the button, move the mouse to the desired new position
  • release the left mouse button

In addition, you can double-click the selected item to make it current in the Navigation Pane and therefore get access to its Window Rule Properties.


Target Window Pane

The Target Window pane contains visual controls allowing:

  • to enable/disable window rule
  • to change rule's name
  • to select which criteria will be used to determine the proper window or set of windows
  • to provide values for those criteria

Target Window Pane

The first checkbox allows you enabling/disabling a rule. For the specific rule, the use of this checkbox is similar to use of the checkbox near the rule's name in the Navigation Pane.
The edit field allows you changing rule's name.
The ... button opens the special dialog window where you can change additional rule's properties like Author and Description.

Window class checkbox allows you enabling/disabling the Window Class criterion. If it's enabled its value will be used for Target Window determination.
Window Class edit field allows you providing a string value for the Window Class criterion. Note that this edit field is active only when its checkbox is checked.

Window caption checkbox allows you enabling/disabling the Window Caption criterion. If it's enabled its value will be used for Target Window determination.
Window Caption edit field allows you providing a string value for the Window Caption criterion. Note that this edit field is active only when its checkbox is checked.
Exact match and Substring match radio buttons allow selecting which comparison mode will be used for the provided string.

Program checkbox allows you enabling/disabling the Program criterion. If it's enabled its value will be used for Target Window determination.
Program edit field allows you providing a string value for the Program criterion. Note that this edit field is active only when its checkbox is checked.
The ... button opens a standard Windows® "Open File" dialog box where you can conveniently select the desired executable file.

The Select Window From List button opens the dialog box of the Window Selector magic tool.
The crosshair icon represents the Window Finder magic tool.
Use either the Window Selector or Window Finder to fill the criteria values automatically, easily and accurately.


Window Selector

Window Selector is a small easy-to-use magic tool that automatically fills the Target Window criteria fields with the correct values. You can activate it by clicking the Select Window From List button.

Window Selector Dialog Box

There is a list of currently running windows (some of them may be minimized) which consists of the four columns:

  • Window caption - a current window caption string. It is defined by an application and often contains the name of the application and, perhaps, some related information (e.g. document name, current program state etc.).
  • Program - a name of application's executable file.
  • Path - a full path to application's executable file.
  • Window class - a name of a window class as it is used by Windows®.

Follow the steps below to retrieve the necessary values with the Window Selector:

  • open the desired window
  • activate the Window Selector
  • find your window in the window list and select it by clicking the left mouse button or using the cursor keys
  • click the OK button
  • check the criteria fields in the Target Window pane: they will be filled with the proper values

Also, you can use the Flash Window button in the following manner to be sure you have selected the right window:

  • be sure the window you wish to configure is open
  • select this window in the list
  • click the Flash Window button
  • selected window's border and taskbar button will flash for a short time

Also you can use the Window Finder magic tool to retrieve values from a required window.

Copyright © 2002-2007 Actual Tools. All rights reserved.
Last modified: June 19, 2007.


Window Finder

Window Finder is a small easy-to-use magic tool that automatically fills the Target Window criteria fields with the correct values. It looks like a small "crosshair" picture on the Target Window pane. Follow the steps below to retrieve the necessary values with the Window Finder:

  • open a desired window and leave it visible on the desktop
  • place the mouse pointer over this picture Window Finder
  • press and hold the left mouse button (your mouse cursor will change to Window Finder Cursor)
  • drag this cursor (without releasing the left mouse button) over the desired window and only then release the left mouse button
  • return to the Actual Tools program's Configuration Module and check the criteria fields in the Target Window pane: they will be filled with the proper values

Also, you can use the Window Selector magic tool to retrieve values from a required window.

Copyright © 2002-2007 Actual Tools. All rights reserved.
Last modified: June 19, 2007.


Window Rule Properties

Window rule properties allow you defining what and when will be done with a particular window. All properties are grouped by their basic purpose within the property sheets. Property sheets' number and composition vary from one product to another. In the best case (if you're using Actual Window Manager) they are:

  • Startup icon Startup property sheet
  • Closing icon Closing property sheet
  • Position icon Position property sheet
  • Size icon Size property sheet
  • Minimizing icon Minimizing property sheet
  • Rollup icon Rollup property sheet
  • Transparency icon Transparency property sheet
  • Ghost icon Ghost property sheet
  • Priority icon Priority property sheet
  • Title Buttons icon Title Buttons property sheet
  • Window Menu icon Window Menu property sheet


Startup Property Sheet

Actions Available At Window Startup group - contains the action list and the Action Options group. Action list displays the set of items where each item represents a single action and has a checkbox on the left allowing to enable/disable the corresponding action's execution (also you can use the related toolbar buttons to enable/disable all items at once). The Name list column displays the action name and the Status list column displays the current state of action parameters, if present. To adjust desired action's parameters, select it in the list and in the Action Options group below you will see some extra controls allowing to change action parameters (if action has no configurable parameters then you will see the "No extra options" note).

Note The actions will be executed in the exact order as they are shown in the action list.

The following actions can be selected to execute at startup:

  • Change program priority item - mark this item's checkbox to change the execution priority of an application which the target window belongs to. In the corresponding New program priority combo box you can select the desired priority value.

    Note You can modify these options also in the Priority property sheet.

  • Change program affinity item - mark this item's checkbox to change the affinity of an application which the target window belongs to. In the corresponding set of check boxes you can define the set of processors which target window's application should run on (please note that at least one processor must be selected).

  • Ghost item - mark this item's checkbox to ghost the target window.

    Note You can modify these options also in the Ghost property sheet.

  • Hide mouse pointer item - mark this item's checkbox to hide the mouse pointer when it hovers over the target window.

  • Remove taskbar entry item - mark this item's checkbox to remove from Windows® taskbar the button that corresponds to target window's application.

  • Make transparent item - mark this item's checkbox to make the target window transparent of a certain level. In the corresponding group of controls you can specify the transparency level value.

    Note You can modify these options also in the Transparency property sheet.

  • Change caption item - mark this item's checkbox to replace target window's default caption string with the specified value. In the corresponding Change caption to edit field you can specify the desired string value. Also, there is an additional Keep persistent checkbox - mark it to prevent further attempts to change the caption string you specify.

  • Move to monitor item - mark this item's checkbox to place the target window to the specified monitor, if you have the multi-monitor configuration. In the corresponding Target monitor combo box you can specify at which monitor the target window should be displayed.

    Note You can modify these options also in the Position property sheet.

  • Open as item - mark this item's checkbox to open the target window in an appropriate state: normal, minimized or maximized. In the corresponding Window will be opened as combo box you can specify the desired target window's appearance.

    Note Enabling this action and selecting the Minimized Window appearance is equivalent to marking the At startup checkbox in the Minimizing property sheet.

  • Resize item - mark this item's checkbox to resize the target window to specified dimensions. In the corresponding group of controls you can specify these dimensions in either absolute or relative units.

    Note You can modify these options also in the Size property sheet.

  • Align item - mark this item's checkbox to align the target window within desktop in the specified way. In the corresponding Align window to combo box you can select the way of aligning from 9 predefined ones.

    Note You can modify these options also in the Position property sheet.

  • Stay Always-On-Top item - mark this item's checkbox to control target window's Always-On-Top state. In the related Stay Always-On-Top group of controls you can define the way of controlling:

    • Always radio button - check it to always place the target window on top

    • Never radio button - check it to never place the target window on top

    • As before radio button - check it to save the current Always-on-Top state on target window's closing and restore this state next time the target window will be opened

    • Freeze checkbox - check it to deny any application's attempts to change the Always-on-Top state which was set by the Actual Tools program

  • Pin to desktop item - mark this item's checkbox to "stick" the target window to desktop's surface.

  • Run keyboard macro item - mark this item's checkbox to send the defined sequence of keystrokes to the target window. In the corresponding group of controls you can:

    • type the text of macro in the multi-line edit field considering the following rules:

      • alphanumeric characters should be typed "as is"

      • to insert a key combination into the macro sequence, use the Add key combination group controls - click the edit field, press the desired key combination (it will be displayed in that field immediately), then click the Add button (or you can simply type the combination enclosing it with angle brackets - e.g. <Ctrl+F5>, <Alt+Shift+B>, <Ctrl+End>, etc.)

      • to insert a special key into the macro sequence, use the Special keys dropdown button - just click it and select the desired special key from the dropdown list (or you can simply type the special key alias enclosing it with angle brackets - e.g. <PgDn>, <BkSp>, <Ins>, etc.)

    • specify the time to wait after window's opening before sending the sequence to the window - mark the Delay before running checkbox and provide in the edit field the desired amount of milliseconds to wait

  • Close item - mark this item's checkbox to close the target window. In the corresponding group of controls you can mark the Delay before closing checkbox to specify in the related edit field the proper amount of milliseconds to wait before the target window will be closed.

Options group - allows adjusting the Startup trigger options. Currently the following options are available:

  • Remove standard window parts checkbox - mark it to enable the removing of standard window controls. In the related group of controls you can define which controls should be removed:

    • Border checkbox - mark it to remove target window's border (including the title bar).

    • Resizable frame checkbox - mark it to remove the resizable frame (if present) that allows "rubber stretching" of target window. After that, the target window can't be manually resized.

    • Title bar icon and buttons checkbox - mark it to remove from target window's caption both the window icon and all standard title buttons.

    • Minimize button only checkbox - mark it to remove from target window's caption only the standard Minimize title button.

    • Maximize button only checkbox - mark it to remove from target window's caption only the standard Maximize title button.

Copyright © 2002-2007 Actual Tools. All rights reserved.
Last modified: June 21, 2007.


Closing Property Sheet

At startup checkbox - mark it to automatically close the target window at its startup. In the related group of controls you can mark the Delay before closing checkbox to specify in the related edit field the proper amount of milliseconds (positive integer value) to wait before the target window will be closed.

After deactivation checkbox - mark it to automatically close the target window when it becomes inactive. In the related group of controls you can mark the Delay before closing checkbox to specify in the related edit field the proper amount of milliseconds (positive integer value) to wait before the target window will be closed.

Via Close button right-click checkbox - mark it to enable the manual target window's closing by the right-click on its standard Close title button.

Prevent window's accidental close checkbox - mark it to let Actual Tools program to monitor and intercept your attempts to close the target window. In the related group of radio buttons you can select the preferred way of prevention:

  • ignore Close button left-click radio button - mark it to block the standard Close title button and simply do nothing if you left-click it
  • confirm close radio button - mark it to show the special query dialog every time you will try to close the window


Position Property Sheet

Actual Tools Home Page

Position icon Position Property Sheet

Available in: Actual Window Manager, Actual Window Guard.

The Position property sheet allows finely adjusting target window's placement.

Position options available for a particular specific window rule
Specific Windows Options
Position options available for the Default Settings rule
Default Settings Options

Move at startup to checkbox - mark it to move the target window to specified monitor at target window's startup. In the related combo box you can select the desired monitor from the list of monitors currently connected to your system.

Align at startup to checkbox - mark it to automatically align the target window at its startup. In the related combo box you can select a proper alignment. Also there is a related Position group of controls where you can define shifts which will be applied right after window's alignment:

  • horizontal shift combo box - here you can select appropriate measure units - either absolute (screen pixels) or relative (percent of corresponding property of current monitor/desktop) - for the value typed in the edit field
  • horizontal shift edit field - here you can specify the desired amount of units selected in the combo box to shift the target window horizontally from its aligned position (top-left, middle-center etc.); type an integer value (either positive or negative; zero means no shift)
  • vertical shift combo box - here you can select appropriate measure units - either absolute (screen pixels) or relative (percent of corresponding property of current monitor/desktop) - for the value typed in the edit field
  • vertical shift edit field - here you can specify the desired amount of units selected in the combo box to shift the target window vertically from its aligned position (top-left, middle-center etc.); type an integer value (either positive or negative; zero means no shift)
  • Window Finder icon - drag the crosshair over the desired window to retrieve its current position and calculate shift values from it

Relocate split windows checkbox - mark it to automatically center a window, which appears between several monitors in the multi-monitor environment, at window's startup in the specified monitor or to the specified point of desktop. In the related Relocation Mode group you can define in which way the target window should be relocated:

  • Center in monitor radio button - use this option if you want to center the split window in the monitor selected in according to the option selected in the related group of radio buttons:
    • having mouse pointer radio button - the split window will be centered in the monitor currently containing the mouse pointer
    • of parent window radio button - the split window will be centered in the monitor currently containing the window which is considered as a parent for the relocated one
    • specified below radio button - the split window will be centered in the monitor selected in the related combo box
  • Center to point radio button - this option is mostly intended to use with the multi-monitor clients of Windows® Terminal Server. In the related group of controls you can easily define a particular point on the desktop; this point is considered as a center of relocated window. Also, there is the Center in parent window (if present) checkbox that can be marked to center the split window within its parent window's boundaries.

Restrict placement checkbox - mark it to enable the placement restrictions for the target window. In the related Window Border Limits group of controls you can define the limits for any of four window borders, either manually or with the help of Window Finder tools; also you can use the Show button to display the allowed placement area in according to specified limits.

Via title button checkbox - mark it to add the Align title button to target window's title bar.

Via window menu item checkbox - mark it to add the Alignment submenu to target window's system window menu.

Save position on exit checkbox - mark it to save the current target window position upon its closing and restore this position next time the target window will be opened.


Size Property Sheet

At startup to checkbox - mark it to resize the target window as defined at its startup.

Fix minimal size to checkbox - mark it to keep the target window not to be smaller than the defined size.

Fix maximal size to checkbox - mark it to keep the target window not to be larger than the defined size.

Via title button checkbox - mark it to add the Resize title button to target window's title bar. If you left-click this button the target window will be resized as defined; right-click displays button's context menu.

Via window menu item checkbox - mark it to add the Resize window submenu to target window's system window menu.

Via border right-click checkbox - mark it to enable target window's stretching by right-clicking its border parts.

Save size on exit checkbox - mark it to save the current target window size upon its closing and restore this size next time the target window will be opened.

After Moving to Another Monitor group - contains radio buttons allowing to define how target window's size should be adjusted when the target window is moved to another monitor:

  • leave as is radio button - size remains the same. This can be useful if all your monitors have the same resolution so no adjustment is required
  • keep aspect ratio radio button - if target monitor has a lower/higher resolution than the previous one then window will be reduced/enlarged appropriately so it will take the same relative amount of screen space on any monitor
  • fit target monitor radio button - keep window wholly within target monitor boundaries. If window exceeds these boundaries then it will be shifted towards target monitor's top-left; if it still exceeds the boundaries then its size will be reduced appropriately

Adjusting Window Size

You can define a particular window size by using the following standard visual controls:

  • Width checkbox - mark it to consider the provided width value while applying the defined size
  • Width edit field - here you can type a value (zero or positive integer) in according to selected measure units
  • Width combo box - here you can select the desired measure units (pixels, percent of current monitor's width or percent of entire desktop's width) for a value typed in the edit field
    Note If you have only a single monitor then "current monitor" and "desktop" are equivalent.
  • Height checkbox - mark it to consider the provided height value while applying the defined size
  • Height edit field - here you can type a value (zero or positive integer) in according to selected measure units
  • Height combo box - here you can select the desired measure units (pixels, percent of current monitor's height or percent of entire desktop's height) for a value typed in the edit field
    Note If you have only a single monitor then "current monitor" and "desktop" are equivalent
  • Window Finder icon - use this magic tool to retrieve actual values for both width and height from a particular window
  • Predefined button - click it to select the size from the list of sizes predefined at Resize Action options


Minimizing Property Sheet

At startup checkbox - mark it to minimize the target window automatically at its startup.

After deactivation checkbox - mark it to minimize the target window automatically when it becomes inactive. In the related group of controls you can mark the Delay before minimization checkbox to specify in the related edit field the proper amount of milliseconds (positive integer value) to wait before the target window will be minimized.

Via title button checkbox - mark it to add the AltMin title button to target window's title bar.

Via window menu item checkbox - mark it to add the AltMin submenu to target window's system window menu.

Via Close button click checkbox - mark it to minimize the target window instead of closing it when you left-click its standard Close title button.

Minimization Mode group - contains radio buttons allowing you to select how the target window should be minimized in any conventional way (i.e. by clicking its Minimize title button, or by selecting the Minimize command in its window menu, or when the target window is minimized automatically by its application):

  • taskbar radio button - minimize the target window as usual
  • tray radio button - minimize the target window to the system tray
  • screen radio button - minimize the target window on the screen

Tray Icon Mode group - contains radio buttons allowing to define tray icon's behavior:

  • toggle radio button - icon will appear in the tray when you minimize the target window and will be removed from there when you left click it to restore the target window to its normal size
  • permanent radio button - icon will be visible all the time window is present (does not matter it is opened or minimized), so you can use this icon as a switch by left clicking it to minimize/restore the target window
  • no icon radio button - no icon will be added to the tray when you minimize the target window, so you can use this option either to completely hide the target window or for applications that already have their own icon in the tray (e.g. MS Outlook 2003)

Screen Icon Options group - contains checkboxes allowing to define screen icon's behavior:

  • permanent checkbox - check it, and the icon will be visible all the time the target window is present (does not matter it is opened or minimized), so you can use this icon as a switch by left double-clicking it to minimize/restore the target window
  • large checkbox - check it to make the screen icon larger (large icons look better and they are much easier to find on the screen)
  • keep on top checkbox - check it to keep the screen icon always on top of other windows

Block self-restoration checkbox - mark it to block any attempts of minimized target window to auto-restore itself and keep the target window minimized until you restore it manually.


Rollup Property Sheet

Rolled up if inactive checkbox - mark it to automatically roll the target window up when it becomes inactive. In the related group of controls you can mark the Delay before rolling up checkbox to specify in the related edit field the proper amount of milliseconds (positive integer value) to wait before the target window will be rolled up.

Unrolled if active checkbox - mark it to unroll the target window when it becomes active again. In the related group of controls you can mark the Delay before unrolling checkbox to specify in the related edit field the proper amount of milliseconds (positive integer value) to wait before the target window will be unrolled.

Unrolled while being mouse-hovered checkbox - mark it to temporarily unroll the previously rolled target window while it is under the mouse pointer. When the mouse pointer goes outside target window, it will be rolled up back. Also, there are related controls allowing to define delays:

  • Delay before unrolling checkbox - mark it to specify in the related edit field the proper amount of milliseconds (positive integer value) to wait before the target window will be temporarily unrolled
  • Delay before rolling up checkbox - mark it to specify in the related edit field the proper amount of milliseconds (positive integer value) to wait before the target window will be rolled up back

Via title button checkbox - mark it to add the Roll Up title button to target window's title bar.

Via window menu item checkbox - mark it to add the Roll Up menu item to target window's system window menu.

Via title bar double-click checkbox - mark it to roll the target window up by double-clicking its title bar.

Rollup Add-ins group - allows enabling the execution of other actions along with rolling up:

  • Stay always-on-top checkbox - mark it to make the target window always-on-top while it's rolled up


Transparency Property Sheet

At startup checkbox - mark it to make the target window transparent of defined level upon its startup.

While inactive checkbox - mark it to change the transparency to a defined level when window becomes inactive.

While moving checkbox - mark it to temporarily make the target window transparent of defined level while it is moved. When the moving is over the transparency level will be restored to its previous value.

While resizing checkbox - mark it to temporarily make the target window transparent of defined level while it is resized. When the resizing is over the transparency level will be restored to its previous value.

While mouse-hovering checkbox - mark it to temporarily make the target window transparent of defined level while it is under the mouse pointer. When the mouse pointer goes outside target window, the transparency level will be restored to its previous value. Also there are related controls allowing to define delays:

  • Delay before change checkbox - mark it to specify in the related edit field the proper amount of milliseconds (positive integer value) to wait before the target window will be made transparent of defined level
  • Delay before restoration checkbox - mark it to specify in the related edit field the proper amount of milliseconds (positive integer value) to wait before target window's transparency level will be restored to its previous value

Via title button checkbox - mark it to add the Make Transparent title button to target window's title bar.

Via window menu item checkbox - mark it to add the Transparency submenu to target window's system window menu.

Via title bar double-click checkbox - mark it to make the target window transparent of defined level by double-clicking its title bar.

Transparency Add-ins group - allows enabling the execution of other actions along with making transparent:

  • Stay Always-On-Top checkbox - mark it to make the target window always-on-top while it is transparent
  • Ghost checkbox - mark it to Ghost the target window while it is transparent

Note If transparency is changed with the temporary triggers then the "Stay Always-On-Top" add-in won't be used.

Adjusting the Transparency Level

You can easily adjust the transparency level value by using the following standard visual controls:

Transparency Level Controls

  • Transparency level spin edit - here you can either type a value or select it by clicking increase/decrease arrows
  • Transparency level slider - click and drag the slider with your mouse pointer to select the desired value


Ghost Property Sheet

Make Window a Ghost Automatically group - contains radio buttons allowing to define the automatic control of target window's ghost state:

  • Never radio button - mark it to unghost a window at its startup
  • Always radio button - mark it to ghost a window at its startup
  • While inactive radio button - mark it to ghost/unghost a window when it is deactivated/activated, accordingly.

Toggle Ghost State Manually group - contains checkboxes allowing to turn on options of ghost state's manual control.

  • Via title button checkbox - mark it to add the Ghost title button to target window's title bar.
  • Via window menu item checkbox - mark it to add the Ghost menu item to target window's system window menu.

Copyright © 2002-2007 Actual Tools. All rights reserved.
Last modified: June 19, 2007.


Priority Property Sheet

At startup to checkbox - mark it to set the specified priority upon target window's startup. In the related combo box you can choose an appropriate priority value.

While inactive to checkbox - mark it to set the specified priority upon target window's deactivation. In the related combo box you can choose an appropriate priority value. When the target window is activated again, the previous priority will be restored.

While minimized to checkbox - mark it to set the specified priority upon target window's minimization. In the related combo box you can choose an appropriate priority value. When the target window is restored again, the previous priority will be restored.

Via title button checkbox - mark it to add the Change Priority title button to target window's title bar.

Add window menu item checkbox - mark it to add the Priority submenu to target window's system window menu.


Title Buttons Property Sheet

Actions Available Via Title Buttons group - contains the action list and the Action Options group. Action list displays the set of items where each item represents a single title button and has a checkbox on the left allowing to enable/disable this title button so it will be, or will be not, displayed in target window's title bar (also you can use the related toolbar buttons to enable/disable all title buttons at once). The Name list column displays the action name and the Status list column displays the current state of action parameters, if present. To adjust desired action's parameters, select it in the list and in the Action Options group below you will see some extra controls allowing to change action parameters (if action has no configurable parameters then you will see the "No extra options" note).

The following actions can be selected to execute via extra title buttons:

  • AltMin item - mark this item's checkbox to display the AltMin title button in target window's title bar. In the corresponding Minimization Mode group you can select where the target window will be minimized when you left-click this button. Also, you can right-click this button to call its context menu.

    Note You can modify these options also in the Minimizing property sheet.

  • Rollup item - mark this item's checkbox to display the Roll Up title button in target window's title bar.

    Note You can modify these options also in the Rollup property sheet.

  • Stay always-on-top item - mark this item's checkbox to display the Stay Always-On-Top title button in target window's title bar.

  • Send to bottom item - mark this item's checkbox to display the Send to Bottom title button in target window's title bar.

  • Make transparent item - mark this item's checkbox to display the Make Transparent title button in target window's title bar. In the corresponding group of controls you can set the required level of transparency that will be applied to the target window when you left-click this button. Also, you can right-click this button to call its special trackbar control.

    Note You can modify these options also in the Transparency property sheet.

  • Align item - mark this item's checkbox to display the Align title button in target window's title bar. In the corresponding Align window to combo box you can choose the required alignment that will be applied to the target window when you left-click this button. Also, you can right-click this button to call its context menu.

    Note You can modify these options also in the Position property sheet.

  • Resize item - mark this item's checkbox to display the Resize title button in target window's title bar. In the corresponding New Window Size group you can define the required window size that will be applied to the target window when you left-click this button. Also, you can right-click this button to call its context menu.

    Note You can modify these options also in the Size property sheet.

  • Change program priority item - mark this item's checkbox to display the Change Program Priority title button in target window's title bar. In the corresponding New program priority combo box you can choose the required priority level that will be set for target window's application when you left-click this button. Also, you can right-click this button to call its context menu.

    Note You can modify these options also in the Priority property sheet.

  • Ghost item - mark this item's checkbox to display the Ghost title button in target window's title bar.

    Note You can modify these options also in the Ghost property sheet.

  • Move to monitor item - mark this item's checkbox to display the Move to Monitor title button in target window's title bar. Also, you can right-click this button to call its context menu.

  • Paste item - mark this item's checkbox to display the Paste from Clipboard title button in target window's title bar.

  • Copy item - mark this item's checkbox to display the Copy to Clipboard title button in target window's title bar.

Options group - allows adjusting the Title Buttons trigger options. Currently the following options are available:

  • Shift buttons spin edit lets you precisely place extra buttons in target window's title bar relatively to standard ones. Although Actual Tools programs try to detect the number of standard buttons (and an appropriate shift value) automatically, in some rare cases (e.g. a particular application has its own additional buttons) it may be useful to set this value manually. The shift value can be a positive integer (shift to the left), a negative integer (shift to the right) or zero (automatic placement).
    Note Use negative shift values with care, because an incorrect value may result in overlapping the standard title buttons, so you won't be able to use them! In general, use the Shift buttons option only if you encounter a problem with the automatic placement, otherwise it's better to leave this option unchanged.
  • Show grouping button checkbox - mark it to display the Unused Buttons title button in target window's title bar.


Window Menu Property Sheet

Actions Available Via System Window Menu group - contains the action list and the Action Options group. Action list displays the set of items where each item represents a single window menu item/submenu and has a checkbox on the left allowing to enable/disable this item so it will be, or will be not, displayed in target window's system window menu (also you can use the related toolbar buttons to enable/disable all window menu items at once). The Name list column displays the action name and the Status list column displays the current state of action parameters, if present. To adjust desired action's parameters, select it in the list and in the Action Options group below you will see some extra controls allowing to change action parameters (if action has no configurable parameters then you will see the "No extra options" note).

The following actions can be selected to execute via extra window menu items:

  • AltMin item - mark this item's checkbox to append target window's system window menu with the AltMin submenu.

    Note You can modify these options also in the Minimizing property sheet.

  • Rollup item - mark this item's checkbox to append target window's system window menu with the Roll Up menu item.

    Note You can modify these options also in the Rollup property sheet.

  • Stay always-on-top item - mark this item's checkbox to append target window's system window menu with the Stay Always-On-Top menu item.

  • Send to bottom item - mark this item's checkbox to append target window's system window menu with the Send to Bottom menu item.

  • Make transparent item - mark this item's checkbox to append target window's system window menu with the Transparency submenu. In the corresponding group of controls you can define a custom level of transparency, which can be applied to the target window via Transparency submenu.

    Note You can modify these options also in the Transparency property sheet.

  • Align item - mark this item's checkbox to append target window's system window menu with the Alignment submenu.

    Note You can modify these options also in the Position property sheet.

  • Resize item - mark this item's checkbox to append target window's system window menu with the Resize window menu item. In the corresponding group of controls you can define a custom window size, which can be applied to the target window via Resize window submenu.

    Note You can modify these options also in the Size property sheet.

  • Change program priority item - mark this item's checkbox to append target window's system window menu with the Priority submenu.

    Note You can modify these options also in the Priority property sheet.

  • Ghost item - mark this item's checkbox to append target window's system window menu with the Ghost menu item.

    Note You can modify these options also in the Ghost property sheet.

  • Move to monitor item - mark this item's checkbox to append target window's system window menu with the Move to submenu.


Configuration Import Wizard

The Configuration Import wizard is a special tool that helps the users of previous versions of Actual Tools products to automatically import their old settings into Actual Title Buttons. This wizard consists of the separate dialogs and each of them depicts the single phase of the Import process so wizard leads you through it step-by-step and also allows returning some steps back, change some options and then proceed further again. Each dialog contains the following buttons:

  • Back button - allows returning one step before (i.e. to the previous dialog)
  • Next button - allows proceeding one step further (i.e. to the next dialog)
  • Cancel button - allows cancelling the Import process at all in any step

The Select the Product dialog allows you selecting what product do you want to import from (use the combo-box):

Import Wizard Dialog 1

Note that you can import only from the same product (i.e. from Actual Title Buttons 3.8 to Actual Title Buttons 4.0) or from any product to Actual Window Manager.

The Select the File dialog allows you selecting where the previous version's settings file is located:

Import Wizard Dialog 2

Here you can type the full name of this file manually in the File to import the configuration from edit field or use the ... button to open the standard Windows® Open File... dialog to select the requested file there.

The Import Options dialog allows you adjusting some Import process options:

Import Wizard Dialog 3

In the case of rule names conflict group - contains the radio buttons allowing to define the way in which the naming conflicts (the situations when the old imported rule has the same name as one of the currently existent rules) should be resolved:

  • Overwrite the existent rule radio button - the old rule will replace the current
  • Rename the imported rule radio button - the old rule will be renamed automatically to avoid any interferences
  • Skip importing the rule radio button - the old rule will not be imported at all
  • Prompt for every conflicting rule radio button - every time a naming conflict arises you will be asked what to do where you can choose the one of previous variants (i.e. overwrite/rename/skip)

Import the Default Window Rule checkbox - mark it to overwrite your current settings for the Default Settings rule with the older ones.

Import the Options checkbox - mark it to overwrite your current Options settings with the older ones.

The Ready to Import dialog (the last one) shows you the settings made in the previous steps and allows to start the Import process:

Import Wizard Dialog 4

Click the Convert button to start the process with the defined settings.


Options Dialog

The Options dialog consists of the following functional areas:

  • the left pane (1) which is called Navigation Pane. It contains all the groups of Actual Tools program's options and allows selecting any of them to get access to the details (please note that actual number of these groups may differ from one Actual Tools product to another):
  • the right pane (2) which is called Details Pane. It can contain the different panes depending on what item is selected in the Navigation Pane. They are:
    • General Options property sheet
    • Hotkeys Options property sheet
    • Title Buttons Options property sheet
    • Resize Action Options property sheet
    • Roll Up Action Options property sheet
    • Make Transparent Action Options property sheet
    • Ghost Action Options property sheet
    • Windows Layout Options property sheet
    • User Interface Options property sheet
  • the bottom pane (3) which contains the following buttons:
    • OK button - click it to apply the changes you made and close the Options dialog
    • Cancel button - click it to close the Options dialog without applying
    • Apply button - click it to apply the changes you made without closing the Options dialog so you will be able to continue adjusting the options


General Options Property Sheet

The General Options property sheet allows adjusting the most common Actual Tools program options.

General Options Property Sheet

Language combo-box - here you can select the preferred language for the whole Actual Tools program's user interface.

Load at startup checkbox - mark it to load the Actual Tools program's Control Center as Windows® starts.

Enable tray icon checkbox - mark it to show the Actual Tools program's icon in the system tray while the Control Center is loaded.

Extend every window's system menu with the "Manage Window Settings" option checkbox - mark it to extend every window's system menu with the additional Manage Window Settings submenu which contains the following rule management commands:

  • Modify default settings - modifies the Default Settings rule settings (this command is available only when window gets in the scope of the Default Settings rule)
  • Create specific settings for this window - creates a new specific rule for a current window with the automatic retrieval of necessary target window property values
  • Modify specific settings "<rule_name>" - modifies the settings of specific rule with the <rule_name>
  • Exclude this window from Actual Title Buttons processing - creates a new Exclusion rule for a current window with the automatic retrieval of necessary target window property values
  • Reapply settings - forces the Actual Tools program to reset the current window to its default state and then start to find a proper rule again

Add "Manage Window Settings" button to every window's title bar checkbox - mark it to add to every window's title bar the special Manage Window Settings title button that provides the quick access to rule management commands described above.

Enable logging checkbox - mark it to turn on the Windows Monitoring Log tool. After that, you'll be able to show/hide the Actual Title Buttons Log window via Control Center's context menu.


Hotkeys Options Property Sheet

The Hotkeys Options property sheet allows turning on/off the Hotkeys feature and assign particular key combinations for most usable window actions provided by Actual Tools program.

Hotkeys Options Property Sheet

Enable hotkeys checkbox - mark it to turn on the Hotkeys feature in full.

Hotkeys list box - shows the list of most usable actions and their assigned key combinations, and also allows turning on/off the particular hotkey using the checkbox on the left of action's name.

Key Combination group - contains the visual controls allowing to modify the key combination assigned to the action currently selected in the Hotkeys list box:

  • Win + checkbox - mark it to include the special <Win> key to the current key combination
  • Ctrl + checkbox - mark it to include the special <Ctrl> key to the current key combination
  • Shift + checkbox - mark it to include the special <Shift> key to the current key combination
  • Alt + checkbox - mark it to include the special <Alt> key to the current key combination
  • Hotkey box - click it and then press the desired alphanumeric key to complete the combination.

Note The key combinations you can define here should differ from the standard ones provided by Windows®. These standard combinations are: <Alt+Tab>, <Alt+Space>, <Win+D>, <Win+E>, <Win+F>, <Win+L>, <Win+M>, <Win+R>, <Ctrl+Esc>.


Title Buttons Options Property Sheet

Available in: Actual Window Manager, Actual Title Buttons, Actual Transparent Window, Actual Window Minimizer, Actual Window Rollup.

The Title Buttons Options property sheet allows selecting the skin for Actual Tools program's additional title buttons and to define their appearance order.

Title Buttons Options Property Sheet

Title Buttons Order group - contains the following visual controls allowing to define your custom order in which the title buttons will appear in a window's title bar:

  • toolbar - contains the buttons allowing to change the position of the item selected in the list box
  • list box - contains the buttons list and shows their current order

Skin group - contains the radio buttons allowing to choose the skin to use:

  • Use default skin radio button - mark it to let Actual Tools program load the proper skin automatically for the following standard UI themes: Windows Classic, Windows XP Blue/Green/Silver.
  • Use custom skin from radio button - mark it to set the custom skin. Custom skin can be stored either in a distinct folder or in a ZIP archive. In the related edit field you can type the full path to the desired skin folder or ZIP archive. Also, you can use the ... button that opens the standard Windows® Open File... dialog where you can select the desired skin folder or ZIP archive.

Skin Preview list box - shows the button icons of the currently used skin. You can right-click this list box to choose the preferred icons view in the appeared context menu.


Resize Action Options Property Sheet

Available in: Actual Window Manager, Actual Window Guard, Actual Title Buttons, Actual Window Menu

The Resize Action Options property sheet allows predefining the custom window sizes that will be available through the Resize title button's context menu, the Resize window submenu and can be quickly set for any size options by using the Predefined button.

Resize Action Options Property Sheet

Sizes toolbar - is related to the Sizes list box and contains the buttons for the following size item's related commands:

  • Add Item button - click it to add a new size item
  • Delete Item button - click it to delete the size item selected in the Sizes list box
  • Copy Item button - click it to copy the size item, selected in the Sizes list box, to a new item
  • Move Up button - click it to move the size item selected in the Sizes list box up one position
  • Move Down button - click it to move the size item selected in the Sizes list box down one position

Sizes list box - shows the list of the predefined size items and contains the following columns:

  • Width column - shows the current Width property value and its measure units (px for the pixels and % for the percent of the corresponding desktop size). The "-" sign means that Width property should remain unchanged while applying this size.
  • Height column - same as Width column but for the Height property.

Edit Selected Item group - contains visual controls allowing to adjust the properties of the item currently selected in the Sizes list box. Adjustment of these properties is identical to adjustment of window size.

Common Resizing Options group - contains the checkboxes allowing to adjust the following options:

  • Show current size in the context menu checkbox - mark it to add the special item depicting the current window size to the Resize title button's context menu and to the Resize menu item's submenu.
  • Keep window within the desktop boundaries after resizing checkbox - mark it to track the window borders after resizing and, in case they exceed the desktop limits, try to relocate window so it will go in the desktop completely.


Roll Up Action Options Property Sheet

Available in: Actual Window Manager, Actual Window Rollup, Actual Title Buttons, Actual Window Menu.

The Roll Up Action Options property sheet allows adjusting common options of Roll Up action.

Roll Up Action Options Property Sheet

Smooth rolling/unrolling checkbox - mark it to animate the rolling/unrolling process making it more fun and visually attractive.


Make Transparent Action Options Property Sheet

Available in: Actual Window Manager, Actual Transparent Window, Actual Title Buttons, Actual Window Menu.

The Make Transparent Action Options property sheet allows adjusting the common options of Make Transparent action.

Make Transparent Action Options Property Sheet

Smooth transparency transitions checkbox - mark it to enable the smooth switching between transparency levels instead of usual instantaneous switching. The smooth switching is far more visually attractive but more resource-intensive and requires a fast video adapter.


Ghost Action Options Property Sheet

Available in: Actual Window Manager, Actual Transparent Window, Actual Title Buttons, Actual Window Menu.

The Ghost Action Options property sheet allows adjusting the behavior of ghosted windows.

Ghost Action Options Property Sheet

Unghost temporarily with checkbox - mark it to turn on the feature to suspend the "ghost" mode for all currently ghosted windows and make them mouse-interactive back, while you are holding the defined key combination pressed. You can define the desired key combination in the related group of controls:

  • Win + checkbox - mark it to include the special <Win> key to the current key combination
  • Ctrl + checkbox - mark it to include the special <Ctrl> key to the current key combination
  • Shift + checkbox - mark it to include the special <Shift> key to the current key combination
  • Alt checkbox - mark it to include the special <Alt> key to the current key combination


Windows Layout Options Property Sheet

Available in: Actual Window Manager, Actual Window Guard.

The Windows Layout Options property sheet allows adjusting common options of Windows Layout tool.

Windows Layout Options Property Sheet

Keep layout automatically checkbox - mark it to let Actual Title Buttons track the changes of desktop resolution and relocate the currently opened windows appropriately keeping their relative layout consistent with the enlarged/reduced visible desktop area.

Resize along with desktop checkbox - mark it to not only relocate but also resize the currently opened windows in according to changed desktop size.


User Interface Options Property Sheet

The User Interface Options property sheet allows adjusting the look of Configuration Module's main window.

User Interface Options Property Sheet

Navigation Bar group - contains checkboxes allowing to adjust the following options:

  • Large icons checkbox - mark it to make the Navigation Bar icons twice larger.
  • Show captions checkbox - mark it to show the property sheets' names on the buttons.

Toolbars group - contains checkboxes allowing to adjust the following options:

  • Large icons checkbox - mark it to make all toolbars' icons twice larger.

Font group - contains visual controls allowing to select the presentation font:

  • Font Name edit field - here you see the selected font's name.
  • Size edit field - here you see the selected font's size.
  • ... button - press it to open the standard system "Font" dialog to select a desired font.
  • Restore button - press it to restore the default "Font Name"/"Size" values.

Note You need to restart the Configuration Module to apply the font change.

Hide Configuration Module while using the Window Finder checkbox - mark it to temporarily hide the Configuration Module's main window when you start to drag the Window Finder's icon. In this case, the main window won't block the access to its underlying windows and therefore you can easily target them with the Window Finder.


Select Rule Dialog

The Select Rule dialog is a special dialog window that displays the list of currently available specific window rules and allows selecting one of them as a context for some operation (for example, the Copy Settings from... command).

Select Rule Dialog

If you click the OK button then the rule that currently selected in the list will become a context, the Select Rule dialog will be closed, and the operation will proceed further. If you close the dialog in any other way - by clicking its standard Close title button, or clicking the Cancel button, or pressing the <Alt+F4> key combination - the operation will be cancelled.


Subscribe to Newsletter Dialog

The Subscribe to Newsletter dialog is a special dialog window that allows you subscribing for the Actual Tools newsletter and receive the notifications about updates by e-mail.

Subscribe to Newsletter Dialog

To subscribe, just select the Subscribe to newsletter radio button in this dialog, click the OK button and send the automatically created e-mail message (don't change it) - and you'll start to receive the e-mail notifications about new releases, contests and special discount offers for the Actual Tools products.

If you want to stop receiving the Actual Tools news you should select the Unsubscribe from newsletter radio button and send the automatically created e-mail message (also without any changes). This will cancel the subscription to Actual Tools newsletter.


Tell a Friend Dialog

The Tell a Friend dialog is a special dialog window that allows you the automatic creation of the notifying e-mail and sending it to whomever you like.

Tell a Friend Dialog

To create the e-mail with the necessary information about Actual Title Buttons you should simply click the OK button then provide your friend's e-mail address in the automatically created e-mail message and send this message. Feel free to share the information about Actual Tools company and its useful programs!


Registration Dialog

The Registration dialog is a special dialog window that allows you registering your copy of Actual Title Buttons.

When you complete the order process and make a payment for the Actual Title Buttons registration, you will receive the special e-mail with your registration data: name and code. You should type the name in the Name edit field and the code in the Code edit field. We suggest you to use the copy-n-paste technique to fill these fields (especially the Code field) to avoid any typing errors/omissions.


About Dialog

The About dialog is a special dialog window which shows the copyright information, current version of your Actual Title Buttons copy and its registration status.

Also, there are two special hyperlinks. The first one leads to the Actual Tools main website where you can read the news about updates, download them, contact the other users at the forum etc. The second one creates an empty e-mail message addressed to Actual Tools Support Service, it is useful in the case you want to ask some questions or make a suggestion about Actual Title Buttons.

You can close this dialog by clicking either the standard Close title button or the Close button at bottom of the window.

Copyright © 2002-2007 Actual Tools. All rights reserved.
Last modified: June 19, 2007.


Actual Title Buttons Log Window

The Actual Title Buttons Log window displays the contents of the log file handled by the Windows Monitoring Log tool.

Actual Title Buttons Log Window

There is a list box displaying the list of window events currently stored in the log file. Here is the color legend used to display items:

  • purple font color - default settings have been applied to a window
  • blue font color - certain specific settings have been applied to a window
  • red font color - window has been excluded due to a certain exclusion
  • white background - the New Window event happens
  • light green background - the Caption Changed event happens

You can customize the number of columns by clicking any column's caption and select which columns to display in the following context menu:

Log Window Columns Menu

Also you can right-click any list item to display Log window's context menu with the following commands:

Log Window Context Menu

  • Copy command - copy to Clipboard clicked item's value from the column where the click is happened
  • Copy line to Clipboard command - similar to previous but copies the whole line instead of a single value
  • Find... command - find the first item in the specified direction (up/down) containing the specified text
  • Find Next command - find next items in the specified direction (up/down) that contain the specified text
  • Clear log command - clear the log contents

You can close this window either by clicking its standard Close title button or via the Hide log window command of Control Center's context menu.

Copyright © 2002-2007 Actual Tools. All rights reserved.
Last modified: June 7, 2007.


Administration

This section describes some special Actual Tools programs' features that may be interesting for the advanced users or administrators.

  • Setup Command Line Parameters
  • Program Command Line Parameters

Copyright © 2002-2007 Actual Tools. All rights reserved.
Last modified: September 8, 2006.


Setup Command Line Parameters

The Setup program accepts some optional command line parameters:

Parameter | Description
/sp- | Disables the This will install... Do you wish to continue? prompt at the beginning of Setup.
/silent, /verysilent | Instructs Setup to be silent or very silent. When Setup is silent, the wizard and the background window are not displayed but the installation progress window is. When Setup is very silent this installation progress window is not displayed. Everything else is normal so, for example, error messages during installation are displayed and the startup prompt is (if you haven't disabled it with the /sp- command line option explained above). If a restart is necessary and the /norestart command wasn't used (see below) and Setup is silent, it will display the Reboot now? message box. If it's very silent, it will reboot without asking.
/norestart | Instructs Setup not to reboot even if it's necessary.
/dir="x:\dirname" | Overrides the default directory name displayed on the Select Destination Directory wizard page. A fully qualified pathname must be specified.
/group="<folder_name>" | Overrides the default folder name displayed on the Select Start Menu Folder wizard page.

Copyright © 2002-2007 Actual Tools. All rights reserved.
Last modified: June 19, 2007.


Program Command Line Parameters

The ActualTitleButtonsCenter.exe program accepts the following command line parameters:

Parameter | Description
i+ | Enable tray icon for the current user
i- | Disable tray icon for the current user
s+ | Enable Load at startup option for the current user
s- | Disable Load at startup option for the current user
-all | Apply i-, i+, s- or s+ command for all users
c | Reload the default configuration (WindowRules.ini)
c "<config_file_name.ini>" | Reload the configuration from the <config_file_name.ini> file. A relative filename must be specified.
r "<user_name>" <registration_key> | Register the program with the specified user name and the registration key. If you user name contains space then, please, don't forget to embrace it with quotes.
unload | Remove totally the Control Center from memory. This command works in a same way as the main menu's Unload Actual Title Buttons command.

Copyright © 2002-2007 Actual Tools. All rights reserved.
Last modified: June 19, 2007.


How to...

  • Purchase Actual Title Buttons's License Key
  • Register Actual Title Buttons with Purchased Key
  • Contact Actual Tools
  • Uninstall Actual Title Buttons
  • How to Create Specific Settings for a Particular Window
  • Create Your Own Skin for Extra Title Buttons

Copyright © 2002-2007 Actual Tools. All rights reserved.
Last modified: June 19, 2007.


How to Purchase Actual Title Buttons's License Key

To get all the benefits of the registered version you should register your Actual Title Buttons copy.

Order the full version of Actual Title Buttons now!

We support the following kinds of payment:

  • Online ordering - this is the fastest and easiest way to order software products using a credit card
  • Phone and fax orders
  • Paying by check via Postal Mail.

For the latest information about the prices and ordering details (credit cards, voice, fax, and snail mail), please, visit www.ActualTools.com/order or contact us via email sales@actualtools.com.

After paying the registration fee, you will get the e-mail containing a registration code to unlock the software. Please read how to register the program with this code. We strongly recommend you to keep this code in a safe place because it could be required in the future for the upgrades.

Please note that a single license gives you permission to install Actual Title Buttons on a single stationary machine (home PC/work PC) and on a single mobile machine (laptop/notebook/Tablet PC) simultaneously. A separate license should be bought for each additional machine. You can visit our website or e-mail us for the information about a volume discounts and site licenses.

ORDER NOW

Copyright © 2002-2007 Actual Tools. All rights reserved.
Last modified: June 19, 2007.


How to Register Actual Title Buttons with Purchased Key

For the unrestricted use, you should register your Actual Title Buttons copy with a special registration key. Please read how to purchase this key.

By registering you acquire such benefits as:

  • Your name will be shown in the About dialog.
  • Registration reminder will never popup again.
  • Removal of the 60 days trial limitation.
  • Free minor upgrades (e.g. from 4.0 to 4.5).
  • Free technical support via e-mail.

Immediately after paying the registration fee, you will get a registration key to unlock your copy of the software. Unlocking the software removes all limitations and you get all benefits of the registered version of Actual Title Buttons.

To register your copy of Actual Title Buttons, follow exactly the instructions below:

  1. Run the Configuration Module
  2. Open the Registration dialog
  3. Type in your registration name and registration key exactly as shown in the registration notice e-mail (it should be good to use the copy-n-paste technique to enter the registration key).
  4. Click the OK button.
  5. Close the Configuration Module
  6. Restart Actual Title Buttons to complete the registration.

Thank for your choosing Actual Title Buttons!

Copyright © 2002-2007 Actual Tools. All rights reserved.
Last modified: June 19, 2007.


How to Contact Actual Tools

For the most recent information about Actual Title Buttons and other Actual Tools products, please visit our website at www.ActualTools.com.

You can freely download the latest updates for Actual Title Buttons and evaluation versions of other our products at www.ActualTools.com/download.

We always appreciate your feedback. Please take a moment to share your feelings, ideas and suggestions. Please feel free to contact us at the following addresses:

  • Technical Support and Feedback: support@actualtools.com
  • Sales department: sales@actualtools.com

Thank you very much for your time and attention!

Copyright © 2002-2007 Actual Tools. All rights reserved.
Last modified: June 1, 2006.


How to Uninstall

Actual Tools Home Page

How to Uninstall Actual Title Buttons

There are two ways to uninstall Actual Title Buttons should you wish to do so: via Control Panel or via Start Menu.

Control Panel

  1. Open the Windows® Control Panel.
  2. Double click Add/Remove Programs.
  3. Double click the Actual Title Buttons list box entry.
  4. Follow the instructions of Uninstall Wizard.

Start Menu

  1. Click the Start button.
  2. Select All Programs.
  3. Select Actual Title Buttons.
  4. Click Uninstall Actual Title Buttons.
  5. Follow the instructions of Uninstall Wizard.

Copyright © 2002-2007 Actual Tools. All rights reserved.
Last modified: June 1, 2006.


How to Create Specific Settings for a Particular Window

Within the Configuration Module

  1. Open the desired window and leave it visible on the desktop
  2. Run the Configuration Module
  3. Select the "Windows -> Add Window Rule" command in the main menu to add a new specific rule (or click the similar toolbar button, or press the Ctrl+A hotkey)
  4. Open the Target Window Pane of this new rule
  5. Use either the Window Finder or Window Selector to accurately fill Target Window options
  6. Change the default Window Rule <n> name to something reasonable
  7. Adjust window rule properties as required
  8. Select the "File -> Save" command in the main menu to apply the created rule (or click the similar toolbar button, or press the Ctrl+S hotkey)

Via Manage Window Settings title button

Note Make sure that the Add "Manage Window Settings" title button... option is enabled.

  1. Open the desired window and leave it visible on the desktop
  2. Click the Manage Window Settings title button in desired window's title bar and select the "Create specific settings for this window" command in the appeared menu
  3. Adjust window rule properties as required
  4. Select the "File -> Save" command in the main menu to apply the created rule (or click the similar toolbar button, or press the Ctrl+S hotkey)

Via Manage Window Settings submenu

Note Make sure that the Extend every window's system menu... option is enabled.

  1. Open the desired window and leave it visible on the desktop
  2. Right-click desired window's title bar to call its window menu
  3. In the appeared menu select the "Manage Window Settings -> Create specific settings for this window" command
  4. Adjust window rule properties as required
  5. Select the "File -> Save" command in the main menu to apply the created rule (or click the similar toolbar button, or press the Ctrl+S hotkey)


How to Create Your Own Skin for Title Buttons

Since the version 4.0, Actual Tools programs support custom skins for their extra title buttons. Skin is a particular set of images used to draw those extra buttons in a title bar. These images should fit the current style of standard window buttons that may vary widely especially when using non-standard UI themes. Actual Tools programs' title buttons skin is described in XML, and this description is stored in a special skin index file. This skin index file can be placed either into a separate folder or into a ZIP archive.

Skin Naming Conventions

Actual Tools programs use some naming conventions for folders or ZIP files containing title buttons skins. These conventions let provide an automatic detection and use of a proper title buttons skin when user selects a new UI theme in the Display Properties system dialog.

So if you want to use the automatic detection feature then you should name your custom skin in the following manner:
<main theme name>_<theme style name>
where the <main theme name> is the internal name of theme and the <theme style name> is the internal name of theme style; these names are used by Windows®. You can find internal names of your currently installed themes by looking into the C:\Windows\Resources\Themes folder: each subfolder there represents a particular theme, and the name of this folder is the internal theme name. Also, each such folder contains the Shell subfolder where subfolders with theme styles are placed. For example, the standard Windows® XP theme is internally named Luna, and it has the following folders in its Shell subfolder: NormalColor (corresponds to XP Blue style), Homestead (corresponds to XP Green style) and Metallic (corresponds to XP Silver style). So their corresponding standard title button skins shipped by default are named Luna_NormalColor.zip, Luna_Homestead.zip and Luna_Metallic.zip accordingly.

Most of themes don't contain any styles other than NormalColor so you should name your custom skin folder/ZIP file something like MyTheme_NormalColor (or MyTheme_NormalColor.zip if you are using the ZIP file as a skin container).

Skin Index File Format

In according to XML (eXtensible Markup Language) format, title buttons skin index file defines the special tags containing the information about pictures. Here is the general content of the index file:

<skin>
  <skininfo>My skin</skininfo>
  <buttons>
    <button name="operation name">image file name.bmp</button>
    <button name="operation name_Small">image file name_Small.bmp</button>
    ...
  </buttons>
</skin>

All image file names can include a path name relative to the folder where the index file is placed but we recommend you to place the buttons images in the same folder/ZIP archive as the index file, in such case you should provide file names only without any path name.

Pictures Format

As follows from the index file format, each button must have two different images: normal and small. Both images must be BMP files having the 256-color palette and of the following size: normal - 13x13 pixels, small - 8x8 pixels. The full list of pictures is the following:

  • StayOnTopOn
  • StayOnTopOn_Small
  • StayOnTopOff
  • StayOnTopOff_Small
  • MinToTray
  • MinToTray_Small
  • MinToEdge
  • MinToEdge_Small
  • MakeTransparentOn
  • MakeTransparentOn_Small
  • MakeTransparentOff
  • MakeTransparentOff_Small
  • WindowRollup
  • WindowRollup_Small
  • WindowUnroll
  • WindowUnroll_Small
  • SendToBottom
  • SendToBottom_Small
  • ResizeWindow
  • ResizeWindow_Small
  • RestoreSize
  • RestoreSize_Small
  • GhostOn
  • GhostOn_Small
  • GhostOff
  • GhostOff_Small
  • AlignWindow1
  • AlignWindow1_Small
  • AlignWindow2
  • AlignWindow2_Small
  • AlignWindow3
  • AlignWindow3_Small
  • AlignWindow4
  • AlignWindow4_Small
  • AlignWindow5
  • AlignWindow5_Small
  • AlignWindow6
  • AlignWindow6_Small
  • AlignWindow7
  • AlignWindow7_Small
  • AlignWindow8
  • AlignWindow8_Small
  • AlignWindow9
  • AlignWindow9_Small
  • PriorityLow
  • PriorityLow_Small
  • PriorityBelowNormal
  • PriorityBelowNormal_Small
  • PriorityNormal
  • PriorityNormal_Small
  • PriorityAboveNormal
  • PriorityAboveNormal_Small
  • PriorityHigh
  • PriorityHigh_Small
  • PriorityRealtime
  • PriorityRealtime_Small
  • MoveToMonitor
  • MoveToMonitor_Small
  • ShowDisabledButtons
  • ShowDisabledButtons_Small
  • RuleSettings
  • RuleSettings_Small
  • Copy
  • Copy_Small
  • Paste
  • Paste_Small
  • CaptionButtonBackground
  • CaptionButtonBackground_Down
  • CaptionButtonBackground_Hot
  • CaptionButtonBackground_Inactive
  • CaptionButtonBackground_Inactive_hot

Applying the Skin

After you prepared the skin index file and the images, you can set this your skin as a default using the Actual Tools program's Title Buttons skin options; or, if you named your skin properly, you should deselect and then select again the desired theme - and the skin should be applied automatically.


Actual Tools Products Catalog

Welcome to the products catalog of Actual Tools!

Here you can find the information about all our products:

  • Actual Window Manager
    Get a Well-Trained Assistant Managing Your Windows!
  • Actual Title Buttons
    Take the Unlimited Control Over Your Windows with the New Nifty Buttons!
  • Actual Transparent Window
    Add the Transparency Effect to Any Window You Want!
  • Actual Window Minimizer
    Minimize Any Program in Any Way!
  • Actual Window Rollup
    Roll Windows Up Like Blinds So Only Their Title Bars Remain Visible!
  • Actual Window Guard
    Keep Windows On Your Desktop In Order Automatically!
  • Actual Window Menu
    Take the Unlimited Control On Your Windows with the Custom Extended Window Menu!

Actual Window Manager icon Actual Window Manager

Get a Well-Trained Assistant Managing Your Windows!

Actual Window Manager is 6 tools in 1: transparency effect, minimize to tray and much more. Version: 4.5
Release Date: June 20, 2007
Work on: Windows 95/98/ME/NT/2000/XP/2003/Vista
Free Trial: 60 Days
File Size: 3.26 Mb
Download Now!
Order Now!
Home Page

Actual Window Manager is an innovative utility for organizing the Windows® desktop via extended window manipulation capability for more convenient and enjoyable work with your computer. The productivity of your work depends directly on the number of windows you are able to effectively operate and control as compared with the amount of time and effort you waste on the unnecessary manual manipulation of those same windows. Actual Window Manager provides more than 40 handy tools with which you can vastly improve your ability to quickly, easily, and automatically manipulate the windows on your system, avoid wasted effort and gain access to new control features and automatic performance of many routine actions.

Download | Order Now! | Home page | More info...

Actual Title Buttons icon Actual Title Buttons

Take the Unlimited Control Over Your Windows with the New Nifty Buttons!

Add Minimize to Tray, Roll Up/Unroll, Stay Always-On-Top and Make Transparent buttons to any windows title bar near Minimize/Maximize/Close Version: 4.5
Release Date: June 20, 2007
Work on: Windows 95/98/ME/NT/2000/XP/2003/Vista
Free Trial: 60 Days
File Size: 3.23 Mb
Download Now!
Order Now!
Home Page

Actual Title Buttons is intended to optimize daily window management activities with just one mouse-click. Actual Title Buttons lets you add the new Minimize Alternatively, Roll Up, Stay Always-On-Top, Make Transparent and other buttons to any program's title bar next to the Windows® standard Minimize/Maximize/Close buttons. The new buttons are as easy-to-use as the standard ones but far more handy!

Download | Order Now! | Home page | More info...

Actual Transparent Window icon Actual Transparent Window

Add the Transparency Effect to Any Window You Want!

Actual Transparent Window lets you add transparency effect to any window such as Taskbar, WinAmp, Menus and others in Windows 2000/XP Version: 4.5
Release Date: June 20, 2007
Work on: WinXP,Windows2000,Windows2003
Free Trial: 60 Days
File Size: 3.18 Mb
Download Now!
Order Now!
Home Page

Actual Transparent Window lets you apply the transparency effect to any window in Windows® 2000/XP/2003/Vista.

The transparency effect looks very impressive and may be useful with such windows as Windows Taskbar, Winamp, menus, any instant messenger, and other windows.

Actual Transparent Window lets you set the individual transparency rate for each window. You can change transparency from 0% (solid) to 100% (fully transparent) to achieve the desired effect.

Download | Order Now! | Home page | More info...

Actual Window Minimizer icon Actual Window Minimizer

Minimize Any Program in Any Way!

Minimize to the tray or minimize on the screen any program you want and get more space and freedom! Version: 4.5
Release Date: June 20, 2007
Work on: Windows 95/98/ME/NT/2000/XP/2003/Vista
Free Trial: 60 Days
File Size: 3.19 Mb
Download Now!
Order Now!
Home Page

Actual Window Minimizer lets you minimize any application to a small icon in the System Tray or on the Screen.

This feature helps you save the taskbar and desktop space and use them in a more efficient manner.

Actual Window Minimizer is an ideal solution for such programs as e-mail clients (Outlook Express, Outlook, Eudora etc.), audio players (Windows Media Player, CD Player etc.), offline browsers and FTP clients or any background processing programs.

Download | Order Now! | Home page | More info...

Actual Window Rollup icon Actual Window Rollup

Roll Windows Up Like Blinds So Only Their Title Bars Remain Visible!

Roll windows up either manually or automatically! Version: 4.5
Release Date: June 20, 2007
Work on: Windows 95/98/ME/NT/2000/XP/2003/Vista
Free Trial: 60 Days
File Size: 3.18 Mb
Download Now!
Order Now!
Home Page

Rolling windows up like blinds/curtains is far more quick and convenient than minimizing them to icons! You won't have to hunt for the windows you were using! Mix manual and automatic controls to your preferences.

Download | Order Now! | Home page | More info...

Actual Window Guard icon Actual Window Guard

Keep Windows On Your Desktop In Order Automatically!

Auto- minimize or maximize certain programs on their startup, get rid of annoying pop-up windows, discipline unruly windows and put your desktop in order, prevent accidental close of window. Version: 4.5
Release Date: June 20, 2007
Work on: Windows 95/98/ME/NT/2000/XP/2003/Vista
Free Trial: 60 Days
File Size: 3.15 Mb
Download Now!
Order Now!
Home Page

Actual Window Guard is precise, invisible and invaluable helper which will optimize your workspace and relieve you of doing the boring, redundant actions. It can do automatically the following actions: minimize/maximize certain programs upon startup, close annoying popup windows, prevent accidental closure of important windows, set, fix or save the size and position of windows, accurately control program priorities, and many others.

Download | Order Now! | Home page | More info...

Actual Window Menu icon Actual Window Menu

Take the Unlimited Control On Your Windows with the Custom Extended Window Menu!

Add custom extended menu to any window! Add transparency effects, minimize to tray, always on top, change program priority and more! Version: 4.5
Release Date: June 20, 2007
Work on: Windows 95/98/ME/NT/2000/XP/2003/Vista
Free Trial: 60 Days
File Size: 3.12 Mb
Download Now!
Order Now!
Home Page

Actual Window Menu adds several new menu items to a standard window menu accessible via application icon in the title bar. Among them: Roll Up/Unroll, Transparency, Minimize to the system tray, Stay always-on-top and more!

Copyright © 2002-2007 Actual Tools. All rights reserved.
Last modified: June 19, 2007.


Actual Window Manager

Actual Tools Home Page

Actual Window Manager icon Actual Window Manager

Get a Well-Trained Assistant Managing Your Windows!

Actual Window Manager is 6 tools in 1: transparency effect, minimize to tray and much more. Version: 4.5
Release Date: June 20, 2007
Work on: Windows 95/98/ME/NT/2000/XP/2003/Vista
Free Trial: 60 Days
File Size: 3.26 Mb
Download Now!
Order Now!
Home Page

Actual Window Manager is an innovative desktop organization application which introduces unconventional window controls and also automatic general window operations making your work more productive, convenient and enjoyable. It has more than 40 handy tools to help you in daily routine window manipulations.

Like a well-trained assistant, being instructed once, Actual Window Manager will do all the required actions automatically all the way you are working with it:

  • placing windows exactly to the required place
  • sizing them exactly as they should be
  • keeping the important windows on top of others
  • minimizing (either normally, or to the tray/screen, or rolling up, or making semi-transparent, or closing the inactive windows, so removing them from your way
  • and many others

As more windows you are able to work with simultaneously - as more efficient your work will be, and Actual Window Manager is an invaluable helper on this way!

Try it - and you will never imagine your work without it!

Copyright © 2002-2007 Actual Tools. All rights reserved.
Last modified: March 16, 2007.


Actual Title Buttons

Actual Tools Home Page

Actual Title Buttons icon Actual Title Buttons

Take the Unlimited Control Over Your Windows with the New Nifty Buttons!

Add Minimize-to-Tray, Roll Up, Stay-on-Top and Make Transparent buttons to any program's title bar near Minimize/Maximize/Close Version: 4.5
Release Date: June 20, 2007
Work on: Windows 95/98/ME/NT/2000/XP/2003/Vista
Free Trial: 60 Days
File Size: 3.23 Mb
Download Now!
Order Now!
Home Page

Windows concept is quite usable when it comes to minimizing, maximizing and restoring a window. However, there are still possibilities to unleash. Actual Title Buttons is the unique window management tool which offers extended window manipulation capabilities by adding new buttons to a window caption.

By clicking these buttons as you are used to do with the standard ones, you can take advantage of hidden Windows® features such as:

  • making any window semi-transparent
  • rolling windows up
  • minimizing any window to the system tray
  • making any window always-on-top
  • quickly resizing any window to most appropriate size
  • quickly placing any window to most appropriate position
  • changing program priority on-the-fly
  • "ghost" any window so it will pass through mouse clicks
  • easily move any window between monitors in a multi-monitor system

You can define which buttons should be actually added as for all windows as specify an individual set of buttons for any particular window.

With the help of Actual Title Buttons you can apply the above features to almost any program:

  • e-mail clients (Microsoft Outlook, Outlook Express, Eudora, Incredimail etc.);
  • instant messengers (Windows/MSN Messenger, Yahoo! Messenger etc.);
  • media players (Windows Media Player, Winamp etc.);
  • office tools (Notepad, Acrobat Reader, Microsoft Word, Microsoft Excel, Adobe Photoshop, Corel Draw etc.);
  • development tools (Microsoft Visual Studio, Borland Delphi etc.);
  • offline browsers or FTP clients;
  • and many other kinds of programs

Try Actual Title Buttons - they are surprisingly easy-to-use and very handy!

Copyright © 2002-2007 Actual Tools. All rights reserved.
Last modified: June 19, 2007.


Actual Transparent Window

Actual Tools Home Page

Actual Transparent Window icon Actual Transparent Window

Add the transparency effect to any window you want!

Actual Transparent Window lets you add transparency effect to any window such as Taskbar, Winamp, Menus and others in Windows 2000/XP/2003/Vista Version: 4.5
Release Date: June 20, 2007
Work on: WinXP,Windows2000,Windows2003
Free Trial: 60 Days
File Size: 3.18 Mb
Download Now!
Order Now!
Home Page

Actual Transparent Window is an innovative Windows transparency shell enhancement novelty - the application that allows setting any level of transparency for any individual window on the system.

Actual Transparent Window adds a new dimension to desktop space making it easy to organize simultaneously open windows without having to minimize and restore them every here and then. Along with common techniques of switching between applications windows Actual Transparent Window offers depth-based window ordering thanks to fully customizable transparency levels that are saved individually for each window.

Actual Transparent Window is intended for broad range of Windows users who value time and long for esthetical pleasure of modern computing. Using transparent windows reduces negative effects on user's eyes as well as it allows for more native dimensional information representation model in human beings. Multiple reports by Actual Transparent Window users indicate overall increase of productivity when using several business applications that require manual information interchange simultaneously. Desktop space saved by eliminating opaque windows can be used for placing additional icons. Another great use of this program is for setting transparency depending on importance of task an application performs.

Actual Transparent Window comes with flexible pricing options and a FREE trial version available! Download it now!

Features

  • Individual transparency rate:
    Actual Transparent Window lets you set individual transparency rate for each window. You can change transparency from 0% (solid) to 100% (fully transparent) to achieve the desired effect.
  • Inactive window transparency:
    Actual Transparent Window has option to set transparency only when window becomes inactive. And when you activate this window it becomes non-transparent again. This option may be especially useful for your instant messenger (Windows Messenger, Yahoo Messenger or any other).
  • Ghost mode:
    You can also activate the ghost mode. In this case all mouse clicks and moves to be made through the transparent window to underlying windows.
  • Apply transparency effect while window is moved or is resized:
    Apply transparency effect only when you move/drag or resize the window across the desktop. Note that this does not affect your transparency setting for windows while they are not being moved or resized.
  • Toggle transparency\opaque window state by double click on title bar:
    To toggle a window from transparent to opaque, double click on the title bar. To toggle a window from opaque to transparent, double click on the title bar again.
  • Make Transparent Make Transparent button button:
    The new "Make Transparent" button is may be added to a window title bar. Now you can switch on/off semi-transparency just pressing it.

    Transparency Context Menu

    You can select a different transparency level for any window on-the-fly, while it is open! Right-click the 'Make Transparent' button to display a context menu where you can choose one of the predefined levels of transparency. It's a very gorgeous effect, try it - and you'll like it very much.
  • System menu:
    New item Transparency is may be added to the system menu of a window. You can change a level of transparency via a new submenu at any time.
  • Hotkeys support:
    A keystroke Win+T toggles the transparency for the active window.
  • Individual window settings:
    You can configure every program's windows to different options, leave them that way for a while, or change the options whenever you wish! Your configuration for each window will remain set after every bootup until you change it.
  • Multilingual support:
    Actual Transparent Window supports English, German, Dutch, French, Spanish, Portuguese Brazilian, Russian, Ukrainian, Polish, Serbian Latin, Serbian Cyrillic, Japanese, Chinese Simplified, Chinese Traditional languages.
  • Possibility to improve almost each program:
    The transparency effect looks very impressive and may be useful with such windows as Windows Taskbar, Winamp, drop-down menus and lists, any Instant Messenger and other windows.


Actual Window Minimizer

Actual Tools Home Page

Actual Window Minimizer icon Actual Window Minimizer

Minimize Any Program in Any Way!

Minimize to the tray or on the screen any program you want and get more space and freedom! Version: 4.5
Release Date: June 20, 2007
Work on: Windows 95/98/ME/NT/2000/XP/2003/Vista
Free Trial: 60 Days
File Size: 3.19 Mb
Download Now!
Order Now!
Home Page

Since Windows® operating system doesn't provide the default ability to minimize any window to the system tray, Actual Window Minimizer was developed for this single purpose but being developed for years now it performs this single function flawlessly.

Actual Window Minimizer is a small but powerful utility which is only needed to be installed to bring the minimize-to-tray ability online in a most quick and easy way: it adds an extra Minimize-to-Tray Minimize-to-Tray button button to every window's title bar so that you can send any window to the system tray in a single mouse click! You can use Actual Window Minimizer for free for 60 days after it is installed so just download and try it yourself now!

Besides the extra button Actual Window Minimizer offers many other ways to perform the minimize-to-tray action. For example, you can override the default behavior of any window's standard Minimize button and use it for the alternative minimization. Also you can hide windows in the tray automatically upon their startup or deactivation. Comprising the experience of thousands of its users Actual Window Minimizer is the ultimate solution for the "Minimize-to-Tray" problem! Try it for free now!

Copyright © 2002-2007 Actual Tools. All rights reserved.
Last modified: March 16, 2007.


Actual Window Rollup

Actual Tools Home Page

Actual Window Rollup icon Actual Window Rollup

Roll Windows Up Like Blinds So Only Their Title Bars Remain Visible!

Roll windows up either manually or automatically! Version: 4.5
Release Date: June 20, 2007
Work on: Windows 95/98/ME/NT/2000/XP/2003/Vista
Free Trial: 60 Days
File Size: 3.18 Mb
Download Now!
Order Now!
Home Page

Sometimes you need to quickly remove your active window you need to see information which underlies it but you don't want to close it. So you have to minimize and then restore it but this requires redundant and ineffective mouse manipulations because you need, at first, move the mouse pointer to the Minimize button, then, secondly, move it down to window's taskbar button. These chores can be made much more easier and more fun with Actual Window Rollup!

As its name implies, Actual Window Rollup lets you roll your windows up like blinds/curtains - hide window's contents area and leave only its title bar visible! People use the Roll Up feature much more often than the standard minimization to the taskbar because rolling up is much more quick, convenient and, finally, it's intuitively resembles the way you look out of the window - you pull the curtain up, not down!

Actual Window Rollup is a small but powerful utility which is only needed to be installed to bring the Roll Up ability online in a most quick and easy way: it adds an extra Roll Up Roll Up button button to every window's title bar so that you can roll any window up in a single mouse click! You can use Actual Window Rollup for free for 60 days after it is installed so just download and try it yourself now!

Download | Order Now! | Home page /p>

Copyright © 2002-2007 Actual Tools. All rights reserved.
Last modified: April 13, 2007.


Actual Window Guard

Actual Tools Home Page

Actual Window Guard icon Actual Window Guard

Gain full control on your windows!

Auto- minimize or maximize certain programs on their startup, get rid of annoying pop-up windows, discipline unruly windows and put your desktop in order, prevent accidental close of window. Version: 4.5
Release Date: June 20, 2007
Work on: Windows 95/98/ME/NT/2000/XP/2003/Vista
Free Trial: 60 Days
File Size: 3.15 Mb
Download Now!
Order Now!
Home Page

Actual Window Guard is a proven desktop productivity enhancement solution that allows corporate and personal users to extend and manage their desktop for increased productivity and manageability.

More robust in features and functionality than any other desktop enhancement solution on the market, Actual Window Guard benefits from the proven technology of Actual Tools and includes the following functionality: close annoying pop-ups or other windows user don't want to see, automatically minimize certain programs upon startup or open them full screen, save and restore size and positions of windows and much more.

Features

  • Automatically maximize windows upon startup:
    Actual Window Guard will help you automatically open full screen certain programs upon startup. Automatically maximize Internet Explorer or any other window upon opening!
  • Automatically minimize windows upon startup:
    Automatically minimize Outlook Express or any other window upon opening!
  • Close windows automatically:
    Another helpful feature of Actual Window Guard is that you can set it to close annoying pop-ups automatically, or other windows you don't want to see.
  • Align window upon startup:
    The 'Align Window' feature lets you get any application window aligned with any of the 9 positions on the desktop - upper-left, upper-central, upper-right, etc.

    Align Window Context Menu

  • Save window size and position:
    If the windows of the programs you run are always appearing somewhere you don't want, or in some size that you don't want, or not as visible as you want - then Actual Window Guard will delight you. It will allow you disciplining unruly windows and put your desktop in order.
  • Set window position and size when it is created:
    Actual Window Guard also allows setting window coordinates and size manually.
  • Keep window on top:
    The Stay Always-On-Top feature brings the window to the top of the desktop and doesn't allow other windows to hide it.
  • Prevent accidental close of window:
    Did you ever close a window by mistake? Perhaps it was inconvenient, or maybe you even lost some data! Actual Window Guard can help you to prevent this.
  • Change window title:
    Now you can replace the original title of a window to say whatever you want it to say! For example, you can rename your word processor, a game, etc.
  • Change Program Priority:
    This feature can change the speed of execution for any program from low to high or back. Be careful, and don't make changes unless you know what you are doing.
  • Remove window from taskbar:
    You may remove some windows from your taskbar and make them more convenient.
  • Individual window settings:
    You can configure every program's windows to different options, leave them that way for a while, or change the options whenever you wish! Your configuration for each window will remain set after every bootup until you change it.
  • Multilingual support:
    Actual Window Guard supports English, German, Dutch, French, Spanish, Portuguese Brazilian, Russian, Ukrainian, Polish, Serbian Latin, Serbian Cyrillic, Japanese, Chinese Simplified, Chinese Traditional languages.

This utility is the final step to optimize your use of program windows and make them more comfortable to use!

Actual Window Guard comes with flexible pricing options and a FREE trial version available!


Actual Window Menu

Actual Tools Home Page

Actual Window Menu icon Actual Window Menu

Add custom extended menu to any window! Organize windows in a neat way!

Add custom extended menu to any window! Add transparency effects, minimize to tray, always on top, change program priority and more! Version: 4.5
Release Date: June 20, 2007
Work on: Windows 95/98/ME/NT/2000/XP/2003/Vista
Free Trial: 60 Days
File Size: 3.12 Mb
Download Now!
Order Now!
Home Page

Actual Tools introduces Actual Window Menu, the unique standard window menu extension that provides advanced users with alternative ways of organizing and managing windows.

Actual Window Menu adds several menu items to standard window menu accessible via application icon in the title bar. Among new commands are: Roll Up \ Unroll window, Set window transparency, change program priority, minimize to task tray and always keep window on top. These new features allow advanced and newbie Windows users save their time and desktop space by neatly organizing windows.

Unlike simple shell extension solutions, Actual Window Menu allows you to create rules (i.e. available menu items and corresponding settings) for each individual application which is most convenient for automating the organization process. Simply find the window you would like to configure and use straightforward interface to configure its extended menu and its settings. Next time you run the program the settings will automatically take effect!

Actual Window Menu is available under flexible licensing conditions and comes with free trial version you can download right now!

Features

  • Minimize to Tray command:
    The 'Minimize to Tray' feature lets you save taskbar space while providing access to minimized applications via the system tray icons. Make your own taskbar less cluttered and more handy!
  • Roll Up/Unroll command:
    The 'Roll Up/Unroll' feature lets you minimize windows so only the title bars remain visible.
  • Stay Always-On-Top command:
    The 'Stay Always-On-Top' feature helps you place the selected windows on top of other ones, so that it were always accessible and couldn't be hidden by other windows. Don't let these windows annoy you when you busy!
  • Send to Bottom command:
    The 'Send to Bottom' feature sends the desired window to the bottom of others. In other words, this button hides a window under other windows, but leaves it on the desktop.
  • Make Transparent menu:
    The 'Make Transparent' feature lets you apply transparency effect from 0% (fully transparent) to 100% (solid) rate to any program in Windows 2000/XP.

    Transparency Context Menu

    You can select a different transparency level for any window on-the-fly, while it is open! Clicking 'Make Transparent' displays a popup menu where you can choose one of the predefined levels of transparency. It's a very gorgeous effect, try it - and you'll like it very much.
  • Change Priority menu:
    The 'Change Priority' feature allows changing the desired window's program priority. This command has a submenu that allows you setting the one of the predefined levels of the window's program priority: Low, Below Normal, Normal, Above Normal, High and Real-Time.

    Priority Context Menu

  • Align Window menu:
    The 'Align Window' feature lets you get any application window aligned with any of the 9 positions on the desktop - upper-left, upper-central, upper-right, etc. Clicking 'Align Window' button displays a popup menu where you can choose one of the nine types of alignment:

    Align Window Context Menu

  • Resize Window menu:
    The 'Resize Window' feature allows you setting the size of any selected application window to have it always opened at the size you want. You can choose any Default Window Size from the list which includes exact window sizes in pixels (e.g. 640 x 480; 800 x 600; 1024 x 768) or in percents from the desktop size (e.g. 100% x 100%; 50% x 50%). Moreover you can set the width and height of any window on your own by using Custom Window Size option.

    Resize Window Context Menu

    Resize Window tool is extremely useful for website designers. They can quickly see how their web project looks like in different resolutions by flicking through default window sizes or setting any unique window size on their own.
  • Hotkeys support:
    Now you can minimize programs to the system tray, always keep them on top, roll up windows, make them semitransparent, etc. by means only one keystroke combination. Such a possibility lets you manage the same actions much quicker on condition of using keyboard.
  • Individual window settings:
    You can configure every program's windows to different options, leave them that way for a while, or change the options whenever you wish! Your configuration for each window will remain set after every bootup until you change it.
  • Multilingual support:
    Actual Window Menu supports English, German, Dutch, French, Spanish, Portuguese Brazilian, Russian, Ukrainian, Polish, Serbian Latin, Serbian Cyrillic, Japanese, Chinese Simplified, Chinese Traditional languages.
  • Possibility to improve almost each program:
    Actual Window Menu is useful for working with e-mail clients (Microsoft Outlook, MS Outlook Express, Eudora, IncrediMail etc.); messenger programs (MSN / Windows Messenger, Yahoo Messenger etc.); office tools (Microsoft Word, Microsoft Excel, Adobe PhotoShop, Corel Draw etc.); developer tools (MS Visual Studio, Borland Delphi etc.); and many other kinds of programs.

Add custom extended menu to your windows right now!


Glossary

Clipboard
 | Special invisible location used for interchanging data between windows.
Configuration
 | Set of window rules defining the exact behavior for almost any window in the system. Can be changed via Configuration Module.
Configuration Module
 | Special program included into every Actual Tools program's installation package allowing to change configuration.
Control Center
 | Special program included into every Actual Tools program's installation package that constantly monitors windows and defines their behavior according to configuration.
Desktop
 | Special Windows® folder that is represented as an area on the screen usually occupying most of the screen's space. This area is a placeholder for the opened windows and the icons of special items (like "My Computer" or "Recycle Bin"), shortcuts and other folders.
Settings file
 | File containing all window rules' options you changed and saved using the Configuration Module.
Taskbar
 | Special window containing buttons for all opened windows and allowing to use those buttons for switching between windows.
Tray (system tray, Windows® tray)
 | Special area on the right of the taskbar, usually contains the system clock and the icons of application working in background (antiviruses, firewalls etc.).
Window menu
 | Popup menu appearing after left-clicking on the leftmost icon of window's title, or right-clicking window's title or taskbar button.
Window rule
 | Fundamental element of every Actual Tools program that defines what windows should be processed by the Control Center and in what manner. The former is defined by the set of special criteria and the latter is defined by the set of options.

Copyright © 2002-2007 Actual Tools. All rights reserved.
Last modified: June 19, 2007.